<?php

require_once 'base/FpaRegramEntityBase.php';

/**
 * This class has been auto-generated by Setforms
 *
 * @package Entity
 *
 * @author  alessandrobartels 12/08/2011
 */
class FpaRegramEntity extends FpaRegramEntityBase
{
    private $_nrOrg;
    private $_nrOrgPadrao;


    /**
     * Construtor.
     *
     * @param integer $id          Identificador.
     * @param integer $nrOrg       Numero da Organizacao de Trabalho.
     * @param integer $nrOrgPadrao Numero da Organizacao Padrao.
     *
     * @author alessandrobartels 12/08/2011
     */
    public function __construct($id = null, $nrOrg = null, $nrOrgPadrao = null){
        parent::__construct($id);
        $this->_nrOrg = $nrOrg;
        $this->_nrOrgPadrao = $nrOrgPadrao;
    }


    /**
     * Inicializa lista. Adiciona itens de regra entity em uma lista.
     *
     * @return void
     *
     * @author alessandrobartels 12/08/2011
     */
    private function _inicializaLista(){
        $regras = Fparegram::retornaRegras($this->_nrOrg, $this->_nrOrgPadrao);
        foreach ($regras as $regra) {
            /* $this->addItem($regra, $regra->getNrregram()); */
            $this->addItem($regra);
        }
    }


    /**
     * Retorna as regras da lista.
     *
     * @return array FpaRegramEntity
     *
     * @author alessandrobartels 12/08/2011
     */
    public function retornaRegras(){
        $this->_inicializaLista();
        $regras = $this->getItems();
        return $regras;
    }


    /**
     * Retorna a determinada regra parametrizada.
     *
     * @param integer $nrRegra Numero da Regra.
     *
     * @return FpaRegramEntity
     *
     * @author alessandrobartels 12/08/2011
     */
    public function retornaRegra($nrRegra){
        $itens = $this->getItems();
        if (empty($itens) === true) {
            $this->_inicializaLista();
            $itens = $this->getItems();
        }

        foreach ($itens as $key=> $item) {
            if ((int)$item->getNrregram() === (int)$nrRegra) {
                return $itens[$key];
            }
        }

        return false;

    }


}

