/* Sistemas Integrados TECNISA
   Financeiro

Nome: 1030_PAGSTP_INCLUI_ERRCNABP.SQL
                                                                            
Descrio:                                                                 
Stored procedure auxiliar para preenchimento da tabela ERRCNABP.

P_CDBANCCNAB - Cdigo oficial do banco
P_CDERRCNABP - Cdigo do erro
P_DSERRCNABP - Descrio do erro


 Criao:
 18/03/02 - Jenilson Ferreira

*/

IF EXISTS (SELECT
              *
           FROM SYSOBJECTS O, SYSUSERS U
           WHERE
              O.NAME = 'INCLUI_ERRCNABP' AND
              TYPE   = 'P'               AND
              U.UID  = O.UID             AND
              U.NAME = USER)

DROP PROCEDURE INCLUI_ERRCNABP
GO

CREATE PROCEDURE INCLUI_ERRCNABP
   @P_CDBANCCNAB VARCHAR(03),
   @P_CDERRCNABP VARCHAR(10),
   @P_DSERRCNABP VARCHAR(200)

AS
   DECLARE @V_ACHOU   INTEGER;
   DECLARE @V_CDBANCO VARCHAR(03);

BEGIN
   SELECT
      @V_ACHOU = COUNT(*)
   FROM
      ERRCNABP ER, BANCO BA
   WHERE
      (ER.CDBANCO    = BA.CDBANCO)    AND
      (BA.CDBANCCNAB = @P_CDBANCCNAB) AND
      (ER.CDERRCNABP = @P_CDERRCNABP);
   IF @V_ACHOU = 0 BEGIN
      SELECT
         @V_CDBANCO = MAX(CDBANCO)
      FROM
         BANCO
      WHERE
         (CDBANCCNAB = @P_CDBANCCNAB);
      IF NOT @V_CDBANCO IS NULL BEGIN
         INSERT INTO ERRCNABP (CDBANCO, CDERRCNABP, DSERRCNABP) VALUES (@V_CDBANCO, @P_CDERRCNABP, @P_DSERRCNABP);
      END;
   END;
END;
GO


-- BANCO ITAU 341

   EXEC INCLUI_ERRCNABP '341', '00', 'PAGAMENTO EFETUADO';
   EXEC INCLUI_ERRCNABP '341', 'AD', 'SEGMENTO X FORMA NO COMPATVEL';
   EXEC INCLUI_ERRCNABP '341', 'AE', 'DATA DE PAGAMENTO ALTERADA';
   EXEC INCLUI_ERRCNABP '341', 'AH', 'NMERO SEQUENCIAL DO REGISTRO NO LOTE INVLIDO';
   EXEC INCLUI_ERRCNABP '341', 'AJ', 'TIPO DE MOVIMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '341', 'AL', 'CDIGO DO BANCO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '341', 'AM', 'AGNCIA DO FAVORECIDO INVLIDA';
   EXEC INCLUI_ERRCNABP '341', 'AN', 'CONTA CORRENTE DO FAVORECIDO INVLIDA';
   EXEC INCLUI_ERRCNABP '341', 'AO', 'NOME DO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '341', 'AP', 'DATA DE LANAMENTO/PAGAMENTO INVLIDA';
   EXEC INCLUI_ERRCNABP '341', 'BC', 'NOSSO NMERO INVLIDO';
   EXEC INCLUI_ERRCNABP '341', 'BD', 'CONFIRMAO DE PAGAMENTO AGENDADO';
   EXEC INCLUI_ERRCNABP '341', 'BE', 'PAGAMENTO AGENDADO COM FORMA ALTERADA PARA OP';
   EXEC INCLUI_ERRCNABP '341', 'CE', 'PAGAMENTO CANCELADO';
   EXEC INCLUI_ERRCNABP '341', 'IB', 'VALOR DO TTULO INVLIDO';
   EXEC INCLUI_ERRCNABP '341', 'IC', 'VALOR DO ABATIMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '341', 'ID', 'VALOR DO DESCONTO INVLIDO';
   EXEC INCLUI_ERRCNABP '341', 'IE', 'VALOR DA MORA INVLIDO';
   EXEC INCLUI_ERRCNABP '341', 'IF', 'VALOR DA MULTA INVLIDO';
   EXEC INCLUI_ERRCNABP '341', 'IG', 'VALOR DA DEDUO INVLIDO';
   EXEC INCLUI_ERRCNABP '341', 'IH', 'VALOR DO ACRSCIMO INVLIDO';
   EXEC INCLUI_ERRCNABP '341', 'II', 'DATA DE VENCIMENTO INVLIDA';
   EXEC INCLUI_ERRCNABP '341', 'IJ', 'SEQNCIA INVLIDA DE SEGMENTO';
   EXEC INCLUI_ERRCNABP '341', 'IM', 'TIPO X FORMA NO COMPATVEL';
   EXEC INCLUI_ERRCNABP '341', 'IN', 'BANCO / AGNCIA NO PERTENCEM S PRAAS DE COMPENSAO DO ITA';
   EXEC INCLUI_ERRCNABP '341', 'IP', 'DV DO CDIGO DE BARRAS INVLIDO';
   EXEC INCLUI_ERRCNABP '341', 'IQ', 'VALOR TOTAL DOS PAGAMENTOS ACIMA DO LIMITE';
   EXEC INCLUI_ERRCNABP '341', 'IR', 'PAGAMENTO ALTERADO';
   EXEC INCLUI_ERRCNABP '341', 'IS', 'PAGAMENTO NO CANCELADO OU NO ALTERADO';
   EXEC INCLUI_ERRCNABP '341', 'IT', 'PAGAMENTO INEXISTENTE';
   EXEC INCLUI_ERRCNABP '341', 'LA', 'DATA DE PAGAMENTO DE UM LOTE ALTERADA';
   EXEC INCLUI_ERRCNABP '341', 'LC', 'LOTE DE PAGAMENTOS CANCELADO';
   EXEC INCLUI_ERRCNABP '341', 'NA', 'PAGAMENTO NO AUTORIZADO';
   EXEC INCLUI_ERRCNABP '341', 'NE', 'PAGAMENTO CANCELADO';
   EXEC INCLUI_ERRCNABP '341', 'NR', 'OPERAO NO REALIZADA';
   EXEC INCLUI_ERRCNABP '341', 'RJ', 'REGISTRO REJEITADO';
   EXEC INCLUI_ERRCNABP '341', 'SS', 'SALDO INSUFICIENTE';
   EXEC INCLUI_ERRCNABP '341', 'TA', 'LOTE NO ACEITO - TOTAIS DO LOTE COM DIFERENA';

-- BANCO BRADESCO 237

   EXEC INCLUI_ERRCNABP '237', 'AA', 'ARQUIVO DUPLICADO';
   EXEC INCLUI_ERRCNABP '237', 'AB', 'DATA LIMITE PARA DESCONTO SEM VALOR CORRESPONDENTE';
   EXEC INCLUI_ERRCNABP '237', 'AC', 'TIPO DE SERVIO INVLIDO';
   EXEC INCLUI_ERRCNABP '237', 'AD', 'MODALIDADE DE PAGAMENTO INVLIDA';
   EXEC INCLUI_ERRCNABP '237', 'AE', 'TIPO DE INSCRIO E IDENTIFICAO DO CLIENTE PAGADOR INCOMPATVEIS';
   EXEC INCLUI_ERRCNABP '237', 'AF', 'VALORES NO NUMRICOS';
   EXEC INCLUI_ERRCNABP '237', 'AG', 'TIPO DE INSCRIO E IDENTIFICAO DO FAVORECIDO INCOMPATVEIS';
   EXEC INCLUI_ERRCNABP '237', 'AJ', 'TIPO DE MOVIMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '237', 'AL', 'BANCO, AGNCIA OU CONTA INVLIDOS';
   EXEC INCLUI_ERRCNABP '237', 'AM', 'AGNCIA DO FAVORECIDO INVLIDA';
   EXEC INCLUI_ERRCNABP '237', 'AN', 'CONTA CORRENTE DO FAVORECIDO INVLIDA';
   EXEC INCLUI_ERRCNABP '237', 'AO', 'NOME DO FAVORECIDO NO INFORMADO';
   EXEC INCLUI_ERRCNABP '237', 'AQ', 'TIPO DE MOEDA INVLIDO';
   EXEC INCLUI_ERRCNABP '237', 'AT', 'CGC/CPF DO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '237', 'AU', 'ENDEREO DO FAVORECIDO NO INFORMADO';
   EXEC INCLUI_ERRCNABP '237', 'AX', 'CEP DO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '237', 'AY', 'ALTERAO INVLIDA; BANCO ANTERIOR BRADESCO';
   EXEC INCLUI_ERRCNABP '237', 'AZ', 'CDIGO DO BANCO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '237', 'BD', 'PAGAMENTO AGENDADO';
   EXEC INCLUI_ERRCNABP '237', 'BE', 'HORA DE GRAVAO INVLIDA';
   EXEC INCLUI_ERRCNABP '237', 'BF', 'IDENTIFICAO DA EMPRESA NO BANCO INVLIDA';
   EXEC INCLUI_ERRCNABP '237', 'BG', 'CGC/CPF DO PAGADOR INVLIDO';
   EXEC INCLUI_ERRCNABP '237', 'BH', 'TIPO DE INSCRIO DO CLIENTE  FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '237', 'BI', 'DATA DE VENCIMENTO INVLIDA OU NO PREENCHIDA';
   EXEC INCLUI_ERRCNABP '237', 'BJ', 'DATA DE EMISSO DO DOCUMENTO INVLIDA';
   EXEC INCLUI_ERRCNABP '237', 'BL', 'DATA LIMITE PARA DESCONTO INVLIDA';
   EXEC INCLUI_ERRCNABP '237', 'BN', 'DATA PARA EFETIVAO ANTERIOR  DO PROCESSAMENTO';
   EXEC INCLUI_ERRCNABP '237', 'BO', 'CLIENTE NO CADASTRADO';
   EXEC INCLUI_ERRCNABP '237', 'BP', 'IDENTIFICAO DE TTULO BRADESCO DIVERGENTE DA ORIGINAL';
   EXEC INCLUI_ERRCNABP '237', 'BQ', 'DATA DO DOCUMENTO POSTERIOR AO VENCIMENTO';
   EXEC INCLUI_ERRCNABP '237', 'BT', 'DESAUTORIZAO EFETUADA';
   EXEC INCLUI_ERRCNABP '237', 'BU', 'ALTERAO EFETUADA';
   EXEC INCLUI_ERRCNABP '237', 'BV', 'EXCLUSO EFETUADA';
   EXEC INCLUI_ERRCNABP '237', 'BW', 'PAGAMENTO EFETUADO';
   EXEC INCLUI_ERRCNABP '237', 'FA', 'CDIGO DE ORIGEM INVLIDO';
   EXEC INCLUI_ERRCNABP '237', 'FB', 'DATA DE GRAVAO DO ARQUIVO INVLIDA';
   EXEC INCLUI_ERRCNABP '237', 'FC', 'TIPO DE DOCUMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '237', 'FE', 'NMERO DE PAGAMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '237', 'FF', 'VALOR DE DESCONTO SEM DATA LIMITE';
   EXEC INCLUI_ERRCNABP '237', 'FG', 'DATA LIMITE PARA DESCONTO POSTERIOR AO VENCIMENTO';
   EXEC INCLUI_ERRCNABP '237', 'FH', 'FALTA NMERO E/OU SRIE DO DOCUMENTO';
   EXEC INCLUI_ERRCNABP '237', 'FI', 'EXCLUSO DE AGENDAMENTO NO DISPONVEL';
   EXEC INCLUI_ERRCNABP '237', 'FJ', 'SOMA DOS VALORES NO CONFERE';
   EXEC INCLUI_ERRCNABP '237', 'FK', 'FALTA VALOR DE PAGAMENTO';
   EXEC INCLUI_ERRCNABP '237', 'FL', 'MODALIDADE DE PAGAMENTO INVLIDA PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '237', 'FM', 'CDIGO DE MOVIMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '237', 'FN', 'TENTATIVA DE INCLUSO DE REGISTRO EXISTENTE';
   EXEC INCLUI_ERRCNABP '237', 'FO', 'TENTATIVA DE ALTERAO PARA REGISTRO INEXISTENTE';
   EXEC INCLUI_ERRCNABP '237', 'FP', 'TENTATIVA DE EFETIVAO DE AGENDAMENTO NO DISPONVEL';
   EXEC INCLUI_ERRCNABP '237', 'FQ', 'TENTATIVA DE DESAUTORIZAO DE AGENDAMENTO NO DISPONVEL';
   EXEC INCLUI_ERRCNABP '237', 'FR', 'AUTORIZAO DE AGENDAMENTO SEM DATA DE EFETIVAO E SEM DATA DE VENCIMENTO';
   EXEC INCLUI_ERRCNABP '237', 'FS', 'TTULO EM AGENDAMENTO; PEDIDO DE CONFIRMAO';
   EXEC INCLUI_ERRCNABP '237', 'FT', 'TIPO DE INSCRIO DO CLIENTE PAGADOR INVLIDO';
   EXEC INCLUI_ERRCNABP '237', 'FU', 'CONTRATO INEXISTENTE OU INATIVO';
   EXEC INCLUI_ERRCNABP '237', 'FV', 'CLIENTE COM CONVNIO CANCELADO';
   EXEC INCLUI_ERRCNABP '237', 'FW', 'VALOR AUTORIZADO INFERIOR AO ORIGINAL';
   EXEC INCLUI_ERRCNABP '237', 'FX', 'EST FALTANDO REGISTRO HEADER';
   EXEC INCLUI_ERRCNABP '237', 'FZ', 'VALOR AUTORIZADO NO CONFERE PARA PAGAMENTO EM ATRASO';
   EXEC INCLUI_ERRCNABP '237', 'FO', 'AGENDAMENTO EM ATRASO; NO PERMITIDO PELO CONVNIO';
   EXEC INCLUI_ERRCNABP '237', 'F1', 'TENTATIVA DE AGENDAMENTO COM DESCONTO, FORA DO PRAZO';
   EXEC INCLUI_ERRCNABP '237', 'F4', 'FALTA REGISTRO TRAILLER';
   EXEC INCLUI_ERRCNABP '237', 'F5', 'VALOR DO TRAILLER NO CONFERE';
   EXEC INCLUI_ERRCNABP '237', 'F6', 'QUANTIDADE DE REGISTROS DO TRAILLER NO CONFERE';
   EXEC INCLUI_ERRCNABP '237', 'F7', 'TENTATIVA DE ALTERAO INVLIDA; PAGAMENTO J ENVIADO AO BRADESCO INSTANTNEO';
   EXEC INCLUI_ERRCNABP '237', 'F8', 'DOC ENVIADO APS HORRIO ESTIPULADO';
   EXEC INCLUI_ERRCNABP '237', 'F9', 'TENTATIVA DE INCLUSO DE REGISTRO EXISTENTE EM HISTRICO';
   EXEC INCLUI_ERRCNABP '237', 'GA', 'TIPO DE DOC INVLIDO';
   EXEC INCLUI_ERRCNABP '237', 'GB', 'NMERO DO DOC INVLIDO';
   EXEC INCLUI_ERRCNABP '237', 'GC', 'FINALIDADE DO DOC INVLIDA OU INEXISTENTE';
   EXEC INCLUI_ERRCNABP '237', 'GD', 'CONTA CORRENTE DO FAVORECIDO ENCERRADA';
   EXEC INCLUI_ERRCNABP '237', 'GE', 'CONTA CORRENTE DO FAVORECIDO NO RECADASTRADA';
   EXEC INCLUI_ERRCNABP '237', 'GF', 'INCLUSO DE PAGAMENTO VIA MODALIDADE 30 NO PERMITIDA';
   EXEC INCLUI_ERRCNABP '237', 'GG', 'CAMPO LIVRE DO CDIGO DE BARRAS (LINHA DIGITVEL) INVLIDO';
   EXEC INCLUI_ERRCNABP '237', 'GH', 'DGITO VERIFICADOR DO CDIGO DE BARRAS INVLIDO';
   EXEC INCLUI_ERRCNABP '237', 'GI', 'CDIGO DA MOEDA DA LINHA DIGITVEL INVLIDO';
   EXEC INCLUI_ERRCNABP '237', 'GJ', 'CONTA DE POUPANA DO FAVORECIDO INVLIDA';
   EXEC INCLUI_ERRCNABP '237', 'GK', 'CONTA DE POUPANA DO FAVORECIDO NO RECADASTRADA';
   EXEC INCLUI_ERRCNABP '237', 'GL', 'CONTA DE POUPANA DO FAVORECIDO NO ENCONTRADA';
   EXEC INCLUI_ERRCNABP '237', 'GM', 'PAGAMENTO 3 (TRS) DIAS APS O VENCIMENTO';
   EXEC INCLUI_ERRCNABP '237', 'GN', 'CONTA COMPLEMENTAR INVLIDA';
   EXEC INCLUI_ERRCNABP '237', 'GO', 'INCLUSO DE DOC PARA BANCO 237 NO PERMITIDO';
   EXEC INCLUI_ERRCNABP '237', 'GP', 'CGC/CPF DO FAVORECIDO DIVERGENTE DO CADASTRO DO BANCO';
   EXEC INCLUI_ERRCNABP '237', 'GQ', 'TIPO DE DOC NO PERMITIDO VIA SISTEMA ELETRNICO';
   EXEC INCLUI_ERRCNABP '237', 'GR', 'ALTERAO INVLIDA; PAGAMENTO J ENVIADO A AGNCIA PAGADORA';
   EXEC INCLUI_ERRCNABP '237', 'GS', 'LIMITE DE PAGAMENTO EXCEDIDO. FALE COM O GERENTE DA SUA AGENCIA';
   EXEC INCLUI_ERRCNABP '237', 'GT', 'LIMITE VENCIDO/VENCER EM 30 DIAS';
   EXEC INCLUI_ERRCNABP '237', 'GU', 'PAGAMENTO AGENDADO POR AUMENTO DE LIMITE OU REDUO NO TOTAL AUTORIZADO';
   EXEC INCLUI_ERRCNABP '237', 'GV', 'CHEQUE OP ESTORNADO A PEDIDO ';
   EXEC INCLUI_ERRCNABP '237', 'GW', 'CONTA-CORRENTE OU CONTA POUPANA  COM RAZO NO PERMITIDO PARA EFETIVAO DE CRDITO';
   EXEC INCLUI_ERRCNABP '237', 'GX', 'CHEQUE OP COM DATA LIMITE VENCIDA';
   EXEC INCLUI_ERRCNABP '237', 'GY', 'CONTA DE POUPANA DO FAVORECIDO ENCERRADA ';
   EXEC INCLUI_ERRCNABP '237', 'JA', 'CODIGO DE LANAMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '237', 'JB', 'DOC DEVOLVIDO E ESTORNADO';

-- BANCO NOSSA CAIXA 151

   EXEC INCLUI_ERRCNABP '151', '00', 'CRDITO OU DBITO EFETUADO';
   EXEC INCLUI_ERRCNABP '151', '01', 'INSUFICINCIA DE FUNDOS - DBITO NO EFETUADO';
   EXEC INCLUI_ERRCNABP '151', '02', 'CRDITO OU DBITO CANCELADO PELO PAGADOR/CREDOR';
   EXEC INCLUI_ERRCNABP '151', '03', 'DBITO AUTORIZADO PELA AGNCIA - EFETUADO';
   EXEC INCLUI_ERRCNABP '151', 'HA', 'LOTE NO ACEITO';
   EXEC INCLUI_ERRCNABP '151', 'HB', 'INSCRIO DA EMPRESA INVLIDA PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '151', 'HC', 'CONVNIO COM A EMPRESA INEXISTENTE/INVLIDO PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '151', 'HD', 'AGNCIA / CONTA CORRENTE DA EMPRESA INEXISTENTE/INVLIDA PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '151', 'HE', 'TIPO DE SERVIO INVLIDO PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '151', 'HF', 'CONTA CORRENTE DA EMPRESA COM SALDO INSUFICIENTE';
   EXEC INCLUI_ERRCNABP '151', 'AA', 'CONTROLE INVLIDO';
   EXEC INCLUI_ERRCNABP '151', 'AB', 'TIPO DE OPERAO INVLIDO';
   EXEC INCLUI_ERRCNABP '151', 'AC', 'TIPO DE SERVIO INVLIDO';
   EXEC INCLUI_ERRCNABP '151', 'AD', 'FORMA DE LANAMENTO INVLIDA';
   EXEC INCLUI_ERRCNABP '151', 'AE', 'TIPO/NMERO DE INSCRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '151', 'AF', 'CDIGO DE CONVNIO INVLIDO';
   EXEC INCLUI_ERRCNABP '151', 'AG', 'AGNCIA / CONTA CORRENTE/DV INVLIDO';
   EXEC INCLUI_ERRCNABP '151', 'AH', 'NMERO SEQUENCIAL DO REGISTRO NO LOTE INVLIDO';
   EXEC INCLUI_ERRCNABP '151', 'AI', 'CDIGO DE SEGMENTO DE DETALHE INVLIDO';
   EXEC INCLUI_ERRCNABP '151', 'AJ', 'TIPO DE MOVIMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '151', 'AK', 'CDIGO DA CMARA DE COMPENSAO DO BANCO DO FAVORECIDO/DEPOSITRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '151', 'AL', 'CDIGO DO BANCO DO FAVORECIDO OU DEPOSITRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '151', 'AM', 'AGNCIA MANTENEDORA DA CONTA CORRENTE DO FAVORECIDO INVLIDA';
   EXEC INCLUI_ERRCNABP '151', 'AN', 'CONTA CORRENTE/DV DO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '151', 'AO', 'NOME DO FAVORECIDO NO INFORMADO';
   EXEC INCLUI_ERRCNABP '151', 'AP', 'DATA LANAMENTO INVLIDA';
   EXEC INCLUI_ERRCNABP '151', 'AQ', 'TIPO/QUANTIDADE DA MOEDA INVLIDO';
   EXEC INCLUI_ERRCNABP '151', 'AR', 'VALOR DO LANAMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '151', 'AS', 'AVISO AO FAVORECIDO - IDENTIFICAO INVLIDA';
   EXEC INCLUI_ERRCNABP '151', 'AT', 'TIPO/NMERO DE INSCRIO DO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '151', 'AU', 'LOGRADOURO DO FAVORECIDO NO INFORMADO';
   EXEC INCLUI_ERRCNABP '151', 'AV', 'NMERO DO LOCAL DO FAVORECIDO NO INFORMADO';
   EXEC INCLUI_ERRCNABP '151', 'AW', 'CIDADE DO FAVORECIDO NO INFORMADA';
   EXEC INCLUI_ERRCNABP '151', 'AX', 'CEP/COMPLEMENTO DO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '151', 'AY', 'SIGLA DO ESTADO DO FAVORECIDO INVLIDA';
   EXEC INCLUI_ERRCNABP '151', 'AZ', 'CDIGO/NOME DO BANCO DEPOSITRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '151', 'BA', 'CDIGO/NOME DA AGNCIA DEPOSITRIA NO INFORMADO';
   EXEC INCLUI_ERRCNABP '151', 'BD', 'CONFIRMAO DE PAGAMENTO AGENDADO';

-- BANCO HSBC 399

   EXEC INCLUI_ERRCNABP '399', '00', 'CRDITO EFETUADO';
   EXEC INCLUI_ERRCNABP '399', '01', 'INSUFICINCIA DE FUNDOS - DBITO NO EFETUADO';
   EXEC INCLUI_ERRCNABP '399', '02', 'CANCELAMENTO ACEITO';
   EXEC INCLUI_ERRCNABP '399', '34', 'CONTA CORRENTE DE DBITO BLOQUEADA';
   EXEC INCLUI_ERRCNABP '399', '40', 'CONTA CORRENTE/POUPANA PARA CRDITO BLOQUEADA';
   EXEC INCLUI_ERRCNABP '399', '42', 'CDIGO DE BARRAS INVLIDO';
   EXEC INCLUI_ERRCNABP '399', '51', 'DATA DESCONTO INVLIDA';
   EXEC INCLUI_ERRCNABP '399', '52', 'DATA DESCONTO MAIOR QUE DATA VENCIMENTO';
   EXEC INCLUI_ERRCNABP '399', '54', 'VALOR DO DESCONTO INVLIDO';
   EXEC INCLUI_ERRCNABP '399', '56', 'COMPROMISSO DE AGENDAMENTO AUTOMTICO INCORRETO';
   EXEC INCLUI_ERRCNABP '399', '57', 'COMPROMISSO DE AGENDAMENTO AUTOMTICO J PROCESSADO';
   EXEC INCLUI_ERRCNABP '399', '58', 'COMPROMISSO DE AGENDAMENTO AUTOMTICO NO ENCONTRADO';
   EXEC INCLUI_ERRCNABP '399', '59', 'COMPROMISSO DE AGENDAMENTO AUTOMTICO COM VALOR INVLIDO';
   EXEC INCLUI_ERRCNABP '399', '60', 'COMPROMISSO DE AGENDAMENTO AUTOMTICO DATA VENCIMENTO INVLIDA';
   EXEC INCLUI_ERRCNABP '399', '61', 'NMERO DO DOCUMENTO DA PARCELA COBRANA NO REGISTRADA HSBC INVLIDO (CDIGO DO CEDENTE)';
   EXEC INCLUI_ERRCNABP '399', '62', 'VALOR DO LANAMENTO DA PARCELA COBRANA NO REGISTRADA HSBC INVLIDO';
   EXEC INCLUI_ERRCNABP '399', '63', 'CDIGO DO DOCUMENTO DA PARCELA COBRANA NO REGISTRADA HSBC INVLIDO';
   EXEC INCLUI_ERRCNABP '399', '64', 'DATA DO VENCIMENTO DA PARCELA COBRANA NO REGISTRADA HSBC INVLIDA';
   EXEC INCLUI_ERRCNABP '399', '65', 'PARCELA "COBRANA NO REGISTRADA HSBC" J CADASTRADA';
   EXEC INCLUI_ERRCNABP '399', '66', 'VALOR ACIMA DE R$ 999.999.999,99';
   EXEC INCLUI_ERRCNABP '399', '67', 'CONTA CORRENTE VINCULADA IRREGULAR';
   EXEC INCLUI_ERRCNABP '399', '68', 'BLOQUEIO/CANCELAMENTO INDEFERIDO PARA CHEQUE SALRIO';
   EXEC INCLUI_ERRCNABP '399', '69', 'CHEQUE SALRIO INCOMPATVEL COM TIPO DE PAGAMENTO';
   EXEC INCLUI_ERRCNABP '399', '72', 'TTULO INATIVO';
   EXEC INCLUI_ERRCNABP '399', '73', 'TTULO BLOQUEADO PELO CEDENTE';
   EXEC INCLUI_ERRCNABP '399', '74', 'TTULO INEXISTENTE';
   EXEC INCLUI_ERRCNABP '399', '75', 'CEDENTE INFORMADO INEXISTENTE';
   EXEC INCLUI_ERRCNABP '399', '76', 'CPF/CNPJ DO CREDOR DIVERGENTE/INVLIDO';
   EXEC INCLUI_ERRCNABP '399', '77', 'AGNCIA E/OU CONTA CORRENTE ENCERRADA';
   EXEC INCLUI_ERRCNABP '399', '78', 'AGNCIA E/OU CONTA CORRENTE INVLIDA/INEXISTENTE';
   EXEC INCLUI_ERRCNABP '399', '79', 'DADOS DO CREDOR INVLIDO';
   EXEC INCLUI_ERRCNABP '399', '80', 'MOTIVO NO ESCLARECIDO';
   EXEC INCLUI_ERRCNABP '399', '81', 'PROCESSO INDISPONVEL NO MOMENTO';
   EXEC INCLUI_ERRCNABP '399', '83', 'TIPO DE CONTA DIFERENCIADA';
   EXEC INCLUI_ERRCNABP '399', '90', 'TTULO PAGO EM DUPLICIDADE';
   EXEC INCLUI_ERRCNABP '399', '92', 'VALOR A PAGAR IGUAL A ZEROS';
   EXEC INCLUI_ERRCNABP '399', '93', 'VALOR DESCONTO MAIOR QUE TTULO';
   EXEC INCLUI_ERRCNABP '399', '94', 'VALOR DO TTULO NO CONFERE';
   EXEC INCLUI_ERRCNABP '399', '95', 'TTULO J BAIXADO';
   EXEC INCLUI_ERRCNABP '399', '96', 'TTULO J DEVOLVIDO';
   EXEC INCLUI_ERRCNABP '399', '97', 'TTULO J LIQUIDADO';
   EXEC INCLUI_ERRCNABP '399', 'AA', 'CONTROLE INVLIDO';
   EXEC INCLUI_ERRCNABP '399', 'AC', 'TIPO DE SERVIO INVLIDO';
   EXEC INCLUI_ERRCNABP '399', 'AG', 'AGNCIA/CONTA CORRENTE/DV INVLIDO';
   EXEC INCLUI_ERRCNABP '399', 'AJ', 'TIPO DE MOVIMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '399', 'AM', 'BANCO, AGNCIA DO FAVORECIDO INVLIDA';
   EXEC INCLUI_ERRCNABP '399', 'AN', 'CONTA CORRENTE DO FAVORECIDO INVLIDA';
   EXEC INCLUI_ERRCNABP '399', 'AO', 'NOME FAVORECIDO NO INFORMADO';
   EXEC INCLUI_ERRCNABP '399', 'AP', 'DATA LANAMENTO INVLIDA';
   EXEC INCLUI_ERRCNABP '399', 'AQ', 'TIPO OU QUANTIDADE DA MOEDA INVLIDO';
   EXEC INCLUI_ERRCNABP '399', 'AR', 'VALOR DO LANAMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '399', 'AZ', 'CDIGO BANCO DEPOSITRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '399', 'BB', 'SEU NMERO INVLIDO';
   EXEC INCLUI_ERRCNABP '399', 'BC', 'NOSSO NMERO INVLIDO';
   EXEC INCLUI_ERRCNABP '399', 'BD', 'CONFIRMAO PAGAMENTO AGENDADO';
   EXEC INCLUI_ERRCNABP '399', 'CP', 'VALOR DO INSS INVLIDO';
   EXEC INCLUI_ERRCNABP '399', 'CQ', 'CDIGO DE PAGAMENTO DE GUIA DA PREVIDNCIA SOCIAL INVLIDO';
   EXEC INCLUI_ERRCNABP '399', 'CR', 'COMPETNCIA INVLIDA';
   EXEC INCLUI_ERRCNABP '399', 'CS', 'IDENTIFICAO DO CONTRIBUINTE INVLIDA';
   EXEC INCLUI_ERRCNABP '399', 'CT', 'OUTROS ERROS';
   EXEC INCLUI_ERRCNABP '399', 'HA', 'LOTE NO ACEITO';
   EXEC INCLUI_ERRCNABP '399', 'HB', 'CPF/CNPJ DO ORIGINADOR DIVERGE DO CADASTRADO';
   EXEC INCLUI_ERRCNABP '399', 'HC', 'CONVNIO COM A EMPRESA INEXISTENTE/INVLIDO PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '399', 'HE', 'TIPO DE PAGAMENTO NO PERMITIDO PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '399', 'HF', 'VALOR COMPROMISSO EXCEDE VALOR LIMITE DIRIO';
   EXEC INCLUI_ERRCNABP '399', 'YW', 'PROBLEMAS OPERACIONAIS';

-- BANCO REAL 356

   EXEC INCLUI_ERRCNABP '356', '00', 'CRDITO OU DBITO EFETIVADO  ESTE CDIGO INDICA QUE O PAGAMENTO FOI CONFIRMADO';
   EXEC INCLUI_ERRCNABP '356', '01', 'INSUFICINCIA DE FUNDOS - DBITO NO EFETUADO';
   EXEC INCLUI_ERRCNABP '356', '02', 'CRDITO OU DBITO CANCELADO PELO PAGADOR/CREDOR';
   EXEC INCLUI_ERRCNABP '356', '03', 'DBITO AUTORIZADO PELA AGNCIA - EFETUADO';
   EXEC INCLUI_ERRCNABP '356', 'HA', 'LOTE NO ACEITO';
   EXEC INCLUI_ERRCNABP '356', 'HB', 'INSCRIO DA EMPRESA INVLIDA PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '356', 'HC', 'CONVNIO COM A EMPRESA INEXISTENTE/INVLIDO PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '356', 'HD', 'AGNCIA/CONTA CORRENTE DA EMPRESA INEXISTENTE/INVLIDO PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '356', 'HE', 'TIPO DE SERVIO INVLIDO PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '356', 'HF', 'CONTA CORRENTE DA EMPRESA COM SALDO INSUFICIENTE';
   EXEC INCLUI_ERRCNABP '356', 'HG', 'LOTE DE SERVIO FORA DE SEQNCIA';
   EXEC INCLUI_ERRCNABP '356', 'HH', 'LOTE DE SERVIO INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'AA', 'CONTROLE INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'AB', 'TIPO DE OPERAO INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'AC', 'TIPO DE SERVIO INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'AD', 'FORMA DE LANAMENTO INVLIDA';
   EXEC INCLUI_ERRCNABP '356', 'AE', 'TIPO/NMERO DE INSCRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'AF', 'CDIGO DE CONVNIO INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'AG', 'AGNCIA/CONTA CORRENTE/DV INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'AH', 'N SEQENCIAL DO REGISTRO NO LOTE INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'AI', 'CDIGO DE SEGMENTO DE DETALHE INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'AJ', 'TIPO DE MOVIMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'AK', 'CDIGO DA CMARA DE COMPENSAO DO BANCO FAVORECIDO/DEPOSITRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'AL', 'CDIGO DO BANCO FAVORECIDO OU DEPOSITRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'AM', 'AGNCIA MANTENEDORA DA CONTA CORRENTE DO FAVORECIDO INVLIDA';
   EXEC INCLUI_ERRCNABP '356', 'AN', 'CONTA CORRENTE/DV DO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'AO', 'NOME DO FAVORECIDO NO INFORMADO';
   EXEC INCLUI_ERRCNABP '356', 'AP', 'DATA LANAMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'AQ', 'TIPO/QUANTIDADE DA MOEDA INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'AR', 'VALOR DO LANAMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'AS', 'AVISO AO FAVORECIDO - IDENTIFICAO INVLIDA';
   EXEC INCLUI_ERRCNABP '356', 'AT', 'TIPO/NMERO DE INSCRIO DO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'AU', 'LOGRADOURO DO FAVORECIDO NO INFORMADO';
   EXEC INCLUI_ERRCNABP '356', 'AV', 'N DO LOCAL DO FAVORECIDO NO INFORMADO';
   EXEC INCLUI_ERRCNABP '356', 'AW', 'CIDADE DO FAVORECIDO NO INFORMADA ';
   EXEC INCLUI_ERRCNABP '356', 'AX', 'CEP/COMPLEMENTO DO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'AY', 'SIGLA DO ESTADO DO FAVORECIDO INVLIDA';
   EXEC INCLUI_ERRCNABP '356', 'AZ', 'CDIGO/NOME DO BANCO DEPOSITRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'BA', 'CDIGO/NOME DA AGNCIA DEPOSITRIA NO INFORMADO';
   EXEC INCLUI_ERRCNABP '356', 'BB', 'SEU NMERO INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'BC', 'NOSSO NMERO INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'BD', 'INCLUSO EFETUADA COM SUCESSO';
   EXEC INCLUI_ERRCNABP '356', 'BE', 'ALTERAO EFETUADA COM SUCESSO';
   EXEC INCLUI_ERRCNABP '356', 'BF', 'EXCLUSO EFETUADA COM SUCESSO';
   EXEC INCLUI_ERRCNABP '356', 'BG', 'AGNCIA/CONTA IMPEDIDA LEGALMENTE';
   EXEC INCLUI_ERRCNABP '356', 'CA', 'CDIGO DE BARRAS - CDIGO DO BANCO INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'CB', 'CDIGO DE BARRAS - CDIGO DA MOEDA INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'CC', 'CDIGO DE BARRAS - DGITO VERIFICADOR GERAL INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'CD', 'CDIGO DE BARRAS - VALOR DO TTULO INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'CE', 'CDIGO DE BARRAS - CAMPO LIVRE INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'CF', 'VALOR DO DOCUMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'CG', 'VALOR DO ABATIMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'CH', 'VALOR DO DESCONTO INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'CI', 'VALOR DE MORA INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'CJ', 'VALOR DA MULTA INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'CK', 'VALOR DO IR INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'CL', 'VALOR DO ISS INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'CM', 'VALOR DO IOF INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'CN', 'VALOR DE OUTRAS DEDUES INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'CO', 'VALOR DE OUTROS ACRSCIMOS INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'CP', 'VALOR DO INSS INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'TA', 'LOTE NO ACEITO - TOTAIS DO LOTE COM DIFERENA';
   EXEC INCLUI_ERRCNABP '356', 'YA', 'TTULO NO ENCONTRADO';
   EXEC INCLUI_ERRCNABP '356', 'YB', 'IDENTIFICADOR REGISTRO OPCIONAL INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'YC', 'CDIGO PADRO INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'YD', 'CDIGO DE OCORRNCIA INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'YE', 'COMPLEMENTO DE OCORRNCIA INVLIDO';
   EXEC INCLUI_ERRCNABP '356', 'YF', 'ALEGAO J INFORMADA';

-- BANCO REAL 275

   EXEC INCLUI_ERRCNABP '275', '00', 'CRDITO OU DBITO EFETIVADO  ESTE CDIGO INDICA QUE O PAGAMENTO FOI CONFIRMADO';
   EXEC INCLUI_ERRCNABP '275', '01', 'INSUFICINCIA DE FUNDOS - DBITO NO EFETUADO';
   EXEC INCLUI_ERRCNABP '275', '02', 'CRDITO OU DBITO CANCELADO PELO PAGADOR/CREDOR';
   EXEC INCLUI_ERRCNABP '275', '03', 'DBITO AUTORIZADO PELA AGNCIA - EFETUADO';
   EXEC INCLUI_ERRCNABP '275', 'HA', 'LOTE NO ACEITO';
   EXEC INCLUI_ERRCNABP '275', 'HB', 'INSCRIO DA EMPRESA INVLIDA PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '275', 'HC', 'CONVNIO COM A EMPRESA INEXISTENTE/INVLIDO PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '275', 'HD', 'AGNCIA/CONTA CORRENTE DA EMPRESA INEXISTENTE/INVLIDO PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '275', 'HE', 'TIPO DE SERVIO INVLIDO PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '275', 'HF', 'CONTA CORRENTE DA EMPRESA COM SALDO INSUFICIENTE';
   EXEC INCLUI_ERRCNABP '275', 'HG', 'LOTE DE SERVIO FORA DE SEQNCIA';
   EXEC INCLUI_ERRCNABP '275', 'HH', 'LOTE DE SERVIO INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'AA', 'CONTROLE INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'AB', 'TIPO DE OPERAO INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'AC', 'TIPO DE SERVIO INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'AD', 'FORMA DE LANAMENTO INVLIDA';
   EXEC INCLUI_ERRCNABP '275', 'AE', 'TIPO/NMERO DE INSCRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'AF', 'CDIGO DE CONVNIO INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'AG', 'AGNCIA/CONTA CORRENTE/DV INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'AH', 'N SEQENCIAL DO REGISTRO NO LOTE INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'AI', 'CDIGO DE SEGMENTO DE DETALHE INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'AJ', 'TIPO DE MOVIMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'AK', 'CDIGO DA CMARA DE COMPENSAO DO BANCO FAVORECIDO/DEPOSITRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'AL', 'CDIGO DO BANCO FAVORECIDO OU DEPOSITRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'AM', 'AGNCIA MANTENEDORA DA CONTA CORRENTE DO FAVORECIDO INVLIDA';
   EXEC INCLUI_ERRCNABP '275', 'AN', 'CONTA CORRENTE/DV DO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'AO', 'NOME DO FAVORECIDO NO INFORMADO';
   EXEC INCLUI_ERRCNABP '275', 'AP', 'DATA LANAMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'AQ', 'TIPO/QUANTIDADE DA MOEDA INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'AR', 'VALOR DO LANAMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'AS', 'AVISO AO FAVORECIDO - IDENTIFICAO INVLIDA';
   EXEC INCLUI_ERRCNABP '275', 'AT', 'TIPO/NMERO DE INSCRIO DO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'AU', 'LOGRADOURO DO FAVORECIDO NO INFORMADO';
   EXEC INCLUI_ERRCNABP '275', 'AV', 'N DO LOCAL DO FAVORECIDO NO INFORMADO';
   EXEC INCLUI_ERRCNABP '275', 'AW', 'CIDADE DO FAVORECIDO NO INFORMADA ';
   EXEC INCLUI_ERRCNABP '275', 'AX', 'CEP/COMPLEMENTO DO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'AY', 'SIGLA DO ESTADO DO FAVORECIDO INVLIDA';
   EXEC INCLUI_ERRCNABP '275', 'AZ', 'CDIGO/NOME DO BANCO DEPOSITRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'BA', 'CDIGO/NOME DA AGNCIA DEPOSITRIA NO INFORMADO';
   EXEC INCLUI_ERRCNABP '275', 'BB', 'SEU NMERO INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'BC', 'NOSSO NMERO INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'BD', 'INCLUSO EFETUADA COM SUCESSO';
   EXEC INCLUI_ERRCNABP '275', 'BE', 'ALTERAO EFETUADA COM SUCESSO';
   EXEC INCLUI_ERRCNABP '275', 'BF', 'EXCLUSO EFETUADA COM SUCESSO';
   EXEC INCLUI_ERRCNABP '275', 'BG', 'AGNCIA/CONTA IMPEDIDA LEGALMENTE';
   EXEC INCLUI_ERRCNABP '275', 'CA', 'CDIGO DE BARRAS - CDIGO DO BANCO INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'CB', 'CDIGO DE BARRAS - CDIGO DA MOEDA INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'CC', 'CDIGO DE BARRAS - DGITO VERIFICADOR GERAL INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'CD', 'CDIGO DE BARRAS - VALOR DO TTULO INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'CE', 'CDIGO DE BARRAS - CAMPO LIVRE INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'CF', 'VALOR DO DOCUMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'CG', 'VALOR DO ABATIMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'CH', 'VALOR DO DESCONTO INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'CI', 'VALOR DE MORA INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'CJ', 'VALOR DA MULTA INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'CK', 'VALOR DO IR INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'CL', 'VALOR DO ISS INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'CM', 'VALOR DO IOF INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'CN', 'VALOR DE OUTRAS DEDUES INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'CO', 'VALOR DE OUTROS ACRSCIMOS INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'CP', 'VALOR DO INSS INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'TA', 'LOTE NO ACEITO - TOTAIS DO LOTE COM DIFERENA';
   EXEC INCLUI_ERRCNABP '275', 'YA', 'TTULO NO ENCONTRADO';
   EXEC INCLUI_ERRCNABP '275', 'YB', 'IDENTIFICADOR REGISTRO OPCIONAL INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'YC', 'CDIGO PADRO INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'YD', 'CDIGO DE OCORRNCIA INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'YE', 'COMPLEMENTO DE OCORRNCIA INVLIDO';
   EXEC INCLUI_ERRCNABP '275', 'YF', 'ALEGAO J INFORMADA';

-- BANCO SAFRA 422

   EXEC INCLUI_ERRCNABP '422', '076', 'BLOQUEIO JUDICIAL  SALDO INSULFICIENTE';
   EXEC INCLUI_ERRCNABP '422', '099', 'REGISTRO CADASTRO DE CLIENTE NAO ENCONTRADO NO SCC';
   EXEC INCLUI_ERRCNABP '422', '100', 'CONTA CORRENTE NO CADASTRADA';
   EXEC INCLUI_ERRCNABP '422', '112', 'TRANSAO INVLIDA - J CADASTRADA';
   EXEC INCLUI_ERRCNABP '422', '114', 'ALTERAO INVLIDA - COMPROMISSO LIBERADO PARA PAGAMENTO';
   EXEC INCLUI_ERRCNABP '422', '119', 'EXCLUSO INVALIDA  CMP LIBERADO PARA PAGAMENTO';
   EXEC INCLUI_ERRCNABP '422', '130', 'COMPROMISSO COM PAGAMENTO J EFETUADO';
   EXEC INCLUI_ERRCNABP '422', '132', 'FORNECEDOR NO CADASTRADO';
   EXEC INCLUI_ERRCNABP '422', '139', 'COMPROMISSO NO CADASTRADO';
   EXEC INCLUI_ERRCNABP '422', '145', 'AUTORIZAO INVLIDA PRE. CONFERNCIA MSG.';
   EXEC INCLUI_ERRCNABP '422', '148', 'TRANSAO INVLIDA  - REDIGITAO PEDENTE';
   EXEC INCLUI_ERRCNABP '422', '157', 'AGNCIA C/C INVLIDA';
   EXEC INCLUI_ERRCNABP '422', '195', 'COB AGNCIA DBITO  = AGNCIA P/ PAGTO';
   EXEC INCLUI_ERRCNABP '422', '196', 'COB DATA PAGTO = DATA VENCIMENTO';
   EXEC INCLUI_ERRCNABP '422', '197', 'DATA PAGTO FERIADO AGNCIA PAGTO OU AGNCIA DBITO';
   EXEC INCLUI_ERRCNABP '422', '198', 'COMPROMISSO J DEBITADO DO CLIENTE';
   EXEC INCLUI_ERRCNABP '422', '200', 'NOME/ENDEREO DO FORNECEDOR OBRIGATRIO';
   EXEC INCLUI_ERRCNABP '422', '201', 'CD. DO FORNECEDOR DEVE SER NUMRICO';
   EXEC INCLUI_ERRCNABP '422', '202', 'CD. DO FORNECEDOR COM DGITO INVLIDO';
   EXEC INCLUI_ERRCNABP '422', '203', 'CGC(CNPJ)/CPF DEVE SER NUMRICO';
   EXEC INCLUI_ERRCNABP '422', '204', 'CGC(CNPJ)/CPF COM DGITO INVLIDO';
   EXEC INCLUI_ERRCNABP '422', '206', 'BANCO PARA CRDITO DEVE SER NUMRICO';
   EXEC INCLUI_ERRCNABP '422', '207', 'AGNCIA PARA CRDITO DEVE SER NUMRICO';
   EXEC INCLUI_ERRCNABP '422', '210', 'BCO PARA CRED NO CADASTRADO';
   EXEC INCLUI_ERRCNABP '422', '213', 'VOLUME J PROCESSADO, DADOS DUPLICADOS';
   EXEC INCLUI_ERRCNABP '422', '216', 'COB DATA PAGTO INVLIDA';
   EXEC INCLUI_ERRCNABP '422', '217', 'COMPROMISSO BLOQUEADO POR INSUFICINCIA DE SALDO';
   EXEC INCLUI_ERRCNABP '422', '240', 'AUTORIZAAO VIA ARQUIVO NO TERMITIDA';
   EXEC INCLUI_ERRCNABP '422', '250', 'DATA DE VENCIMENTO OU VALOR INVLIDO';
   EXEC INCLUI_ERRCNABP '422', '251', 'DATA DE VENCIMENTO INVLIDA' ;
   EXEC INCLUI_ERRCNABP '422', '252', 'TIPO DE PAGAMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '422', '253', 'DATA DE VENCIMENTO INVLIDA';
   EXEC INCLUI_ERRCNABP '422', '254', 'BANCO PORTADOR DO TTULO DEVE SER NUMRICO';
   EXEC INCLUI_ERRCNABP '422', '255', 'AGNCIA PARA PAGAMENTO INVLIDA';
   EXEC INCLUI_ERRCNABP '422', '258', 'TIPO DE DOCUMENTO DO COMPROMISSO NO CADASTRADO';
   EXEC INCLUI_ERRCNABP '422', '259', 'MOEDA NO CADASTRADA';
   EXEC INCLUI_ERRCNABP '422', '260', 'DATA DE PAGAMENTO MENOR OU IGUAL A DATA DE HOJE';
   EXEC INCLUI_ERRCNABP '422', '261', 'BANCO PORTADOR DO TTULO NO CADASTRADO';
   EXEC INCLUI_ERRCNABP '422', '262', 'AGNCIA PARA PAGAMENTO NO CADASTRADA';
   EXEC INCLUI_ERRCNABP '422', '264', 'DADOS INCLOMPLETOS PARA PAGAMENTO';
   EXEC INCLUI_ERRCNABP '422', '265', 'DADOS INCOMPLETOS PARA PAGAMENTO COM DOC';
   EXEC INCLUI_ERRCNABP '422', '266', 'DADOS INCOMPLETOS PARA PAGAMENTO EM C/C';
   EXEC INCLUI_ERRCNABP '422', '269', 'COMPROMISSO VERUS AGNCIA PARA PAGAMENTO INCOMPLETO';
   EXEC INCLUI_ERRCNABP '422', '271', 'COMPROMISSO J AUTORIZADO OU BLOQUEADO';
   EXEC INCLUI_ERRCNABP '422', '303', 'DATA INVLIDA';
   EXEC INCLUI_ERRCNABP '422', '304', 'MOVIMENTO SEM HEADER (AGENCIA/CONTA DIFERENTE ENTRE HEADER E DETALHE)';
   EXEC INCLUI_ERRCNABP '422', '312', 'NMERO DO DOCUMENTO (COMPROMISSO) INVLIDO';
   EXEC INCLUI_ERRCNABP '422', '313', 'COMPROMISSO J CADASTRADO';
   EXEC INCLUI_ERRCNABP '422', '314', 'CMARA DE COMPENSAO INVLIDA';
   EXEC INCLUI_ERRCNABP '422', '315', 'VALOR DO ABATIMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '422', '316', 'VALOR DO JURO/ MULTA INVLIDO';
   EXEC INCLUI_ERRCNABP '422', '317', 'C/C DEVE SER NUMRICA';
   EXEC INCLUI_ERRCNABP '422', '323', 'CDIGO DE INSTRUO INVLIDO';
   EXEC INCLUI_ERRCNABP '422', '324', 'AGNCIA/CLIENTE EST DIFERENTE DO REGISTRO HEADER';
   EXEC INCLUI_ERRCNABP '422', '325', 'FALTA REGISTRO NUMRICO  XXXX';
   EXEC INCLUI_ERRCNABP '422', '326', 'REGISTRO FORA DE ORDEM';
   EXEC INCLUI_ERRCNABP '422', '327', 'NUMRICO DO REGISTRO DEVE SER NUMRICO';
   EXEC INCLUI_ERRCNABP '422', '328', 'CLIENTE  DIFERE EM RELAO ';
   EXEC INCLUI_ERRCNABP '422', '331', 'VALOR AUTORIZADO INVLIDO';
   EXEC INCLUI_ERRCNABP '422', '332', 'COMPROMISSO INVLIDO';
   EXEC INCLUI_ERRCNABP '422', '333', 'COMPROMISSO NO PODE SER BLOQUEADO';
   EXEC INCLUI_ERRCNABP '422', '334', 'COMPROMISSO NO PODE SER DESBLOQUEADO';
   EXEC INCLUI_ERRCNABP '422', '335', 'CDIGO DE ALEGAO INVLIDO';
   EXEC INCLUI_ERRCNABP '422', '336', 'DESCRIO DE ALEGAO INVLIDA';
   EXEC INCLUI_ERRCNABP '422', '337', 'CLIENTE INVLIDO';
   EXEC INCLUI_ERRCNABP '422', '347', 'VALOR AUTORIZADO NO NUMERICO';
   EXEC INCLUI_ERRCNABP '422', '371', 'AGNCIA PARA CRDITO INVLIDA';
   EXEC INCLUI_ERRCNABP '422', '375', 'AGNCIA/CONTA CORRENTE INVLIDA(TECBAN)';
   EXEC INCLUI_ERRCNABP '422', '378', 'BANCO PORTADOR INVLIDO';
   EXEC INCLUI_ERRCNABP '422', '379', 'BANCO DESTINO INVLIDO';
   EXEC INCLUI_ERRCNABP '422', '382', 'COMPROMISSO DUPLICADO';
   EXEC INCLUI_ERRCNABP '422', '536', 'LINHA DIGITVEL INVLIDA';
   EXEC INCLUI_ERRCNABP '422', '537', 'REGISTRO REJEITADO NA CRITICA PREVIA';
   EXEC INCLUI_ERRCNABP '422', '538', 'DATA INVLIDA PARA TIPO DE PAGAMENTO "CHQ"';
   EXEC INCLUI_ERRCNABP '422', '588', 'CLIENTE NAO HABILITADO A CREDITAR CONTA SALARIO';
   EXEC INCLUI_ERRCNABP '422', '598', 'FORNECEDOR INFORMADO NO  O TITULAR DA CONTA DESTINO';
   EXEC INCLUI_ERRCNABP '422', '601', 'TIPO PAGAMENTO INVALIDO PARA CLIENTE SALARIO';
   EXEC INCLUI_ERRCNABP '422', '602', 'PAGAMENTO CONTA SALARIO NAO PODE SER BLOQUEADO';
   EXEC INCLUI_ERRCNABP '422', '603', 'TIPO DE DOCUMENTO EXCLUSIVO PARA CLIENTE CCS';
   EXEC INCLUI_ERRCNABP '422', '604', 'TIPO DE DOCUMENTO DIFERENTE CCS';
   EXEC INCLUI_ERRCNABP '422', '606', 'DIGITO DO CDIGO DE BARRAS INVLIDO';
   EXEC INCLUI_ERRCNABP '422', '607', 'CLIENTE CREDITA SOMENTE CONTA SALARIO';
   EXEC INCLUI_ERRCNABP '422', '654', 'TED INFERIOR AO VALOR MNIMO';
   EXEC INCLUI_ERRCNABP '422', '632', 'CONTA INVESTIMENTO DE OUTRA TITULARIDADE';
   EXEC INCLUI_ERRCNABP '422', '634', 'CONTA DESTINO NO  CONTA DE INVESTIMENTO';
   EXEC INCLUI_ERRCNABP '422', '636', 'NO PERMITIDO. VALOR ACIMA DO LIMITE';
   EXEC INCLUI_ERRCNABP '422', '639', 'TIPO DE DOC IGUAL DOC PARA CCI';
   EXEC INCLUI_ERRCNABP '422', '640', 'AGNCIA OU CONTA INVESTIMENTO INVALIDA';
   EXEC INCLUI_ERRCNABP '422', '650', 'INCLUSO INVAIDA PARA CAB';
   EXEC INCLUI_ERRCNABP '422', '651', 'TED APS O HORRIO LIMITE (APS 17 HRS)';
   EXEC INCLUI_ERRCNABP '422', '654', 'TED INFERIOR AO VALOR MINIMO';
   EXEC INCLUI_ERRCNABP '422', '782', 'BANCO NO OPERANTE';
   EXEC INCLUI_ERRCNABP '422', '786', 'REGISTRO NO ENCONTRADO NO SPB';
   EXEC INCLUI_ERRCNABP '422', '813', 'CLENTE NO CRDITA CM';
   EXEC INCLUI_ERRCNABP '422', '860', 'BANCO DE DESTINO INVALIDO PARA TED';
   EXEC INCLUI_ERRCNABP '422', '875', 'CONTA BI NO ACEITA FAVORECIDO PF';
   EXEC INCLUI_ERRCNABP '422', '876', 'FAVORECIDO DEVE SER DIFERENTE DE INSTITUIO FINANCEIRA (BI)';
   EXEC INCLUI_ERRCNABP '422', '882', 'CONTAS ORIGEM E DESTINO NO SO IGUAIS';
   EXEC INCLUI_ERRCNABP '422', '883', 'CONTA DESTINO NO PERTENCE AO TITULAR DA CCI';

-- BANCO UNIBANCO 409

   EXEC INCLUI_ERRCNABP '409', '5301', 'CONTA CORRENTE DA EMPRESA NO NUMRICA, IGUAL A ZEROS, OU DGITO NO NUMRICO';
   EXEC INCLUI_ERRCNABP '409', '5302', 'AGNCIA DA EMPRESA NO NUMRICA, IGUAL A ZEROS OU NO CADASTRADA NO UBB';
   EXEC INCLUI_ERRCNABP '409', '5303', 'DGITO DA CONTA DA EMPRESA DIVERGENTE OU IGUAL A ZERO';
   EXEC INCLUI_ERRCNABP '409', '5304', 'CONTA CORRENTE DA EMPRESA NO CADASTRADA NO UBB';
   EXEC INCLUI_ERRCNABP '409', '5305', 'BANCO DO FAVORECIDO INVLIDO.NO NUMRICO, IGUAL A ZERO, NO CADASTRADO NO UBB OU TRATA-SE DE PAGAMENTO DE TTULO DE OUTRO BANCO (TIPO SERVIO "9") E O BANCO EST IGUAL A 409(UBB) ';
   EXEC INCLUI_ERRCNABP '409', '5306', 'AGNCIA DO FAVORECIDO/DEBITADO INVLIDA OU INATIVA';
   EXEC INCLUI_ERRCNABP '409', '5307', 'DGITO DA AGNCIA DO FAVORECIDO/DEBITADO IGUAL A BRANCOS OU NO NUMRICO';
   EXEC INCLUI_ERRCNABP '409', '5308', 'C/C DO FAVORECIDO/DEBITADO NO NUMRICA OU IGUAL A ZEROS';
   EXEC INCLUI_ERRCNABP '409', '5309', 'DGITO DA CONTA DO FAVORECIDO/DEBITADO NO NUMRICO OU IGUAL A ZEROS';
   EXEC INCLUI_ERRCNABP '409', '5310', 'MEIO DE REPASSE INVLIDO - CONTATAR CENTRAL DE ATENDIMENTO';
   EXEC INCLUI_ERRCNABP '409', '5311', 'BANCO DO FAVORECIDO/DEBITADO INEXISTENTE NA TABELA DE BANCOS';
   EXEC INCLUI_ERRCNABP '409', '5312', 'AGNCIA FAVORECIDO/DEBITADO INEXISTENTE NO CADASTRO DE UNIDADES DO UBB';
   EXEC INCLUI_ERRCNABP '409', '5313', 'EMISSO DE AVISO DIFERENTE DE 0,1 OU 2';
   EXEC INCLUI_ERRCNABP '409', '5314', 'TIPO DE OPERAO DIFERENTE DE "5"-CRDITO OU "6"-DBITO';
   EXEC INCLUI_ERRCNABP '409', '5315', 'TIPO DE SERVIO INVLIDO';
   EXEC INCLUI_ERRCNABP '409', '5318', 'VALOR DA TRANSAO NO NUMRICO OU IGUAL A ZEROS';
   EXEC INCLUI_ERRCNABP '409', '5319', 'VALOR SUPERIOR A TRAVA CONTRATADA.CONTATE SE GERENTE DE NEGCIOS E SERVIOS ELETRNICOS';
   EXEC INCLUI_ERRCNABP '409', '5320', 'AGNCIA/ CONTA INVLIDA-PAGAMENTO DARF/GPS';
   EXEC INCLUI_ERRCNABP '409', '5321', 'DATA DE GRAVAO INEXISTENTE';
   EXEC INCLUI_ERRCNABP '409', '5322', 'DATA DE CRDITO/DBITO NO NUMRICA OU IGUAL A ZEROS';
   EXEC INCLUI_ERRCNABP '409', '5323', 'DATA DE DBITO/CRDITO INVLIDA - PAGAMENTO DARF/GPS';
   EXEC INCLUI_ERRCNABP '409', '5324', 'DATA CRDITO/DBITO INFERIOR  DATA PROCESSAMENTO(DE ACORDO COM O FLOAT)';
   EXEC INCLUI_ERRCNABP '409', '5325', 'DATA DE CRDITO/DBITO INVLIDA.PARA TTULOS DE OUTROS BANCOS, SUPERIOR A 15 DIAS';
   EXEC INCLUI_ERRCNABP '409', '5326', 'NOME DO FAVORECIDO/DEBITADO INVLIDO OU EM BRANCO';
   EXEC INCLUI_ERRCNABP '409', '5327', 'LOGRADOURO/ENDEREO EM BRANCO';
   EXEC INCLUI_ERRCNABP '409', '5328', 'NOME DA CIDADE EM BRANCO';
   EXEC INCLUI_ERRCNABP '409', '5329', 'DATA APURAO INVLIDA - PAGAMENTO DARF';
   EXEC INCLUI_ERRCNABP '409', '5330', 'ESTADO INEXISTENTE';
   EXEC INCLUI_ERRCNABP '409', '5331', 'CEP NO NUMRICO';
   EXEC INCLUI_ERRCNABP '409', '5332', 'NOME DA AGNCIA DO FAVORECIDO/DEBITADO EM BRANCO.SOMENTE PARA DOC EM QUE O CLIENTE INFORMA A PRAA DE COMPENSAO';
   EXEC INCLUI_ERRCNABP '409', '5334', 'TIPO DOCUMENTO INVLIDO - PAGAMENTO DARF';
   EXEC INCLUI_ERRCNABP '409', '5335', 'PRAA DE COMPENSAO INEXISTENTE';
   EXEC INCLUI_ERRCNABP '409', '5336', 'AMARRAO HORIZONTAL DIFERENTE DO CALCULADO EM (CONTA + VALOR)* OPERAO';
   EXEC INCLUI_ERRCNABP '409', '5337', 'CLIENTE NO CADASTRADO PARA O TIPO DE SERVIO INFORMADO';
   EXEC INCLUI_ERRCNABP '409', '5338', 'TIPO DE OPERAO "6" -DBITO E O BANCO NO  "409"(UBB)';
   EXEC INCLUI_ERRCNABP '409', '5342', 'CONTA MOVIMENTO DO CLIENTE NO CADASTRADA PARA PAGAMENTOS DE OCT/CE';
   EXEC INCLUI_ERRCNABP '409', '5343', 'CDIGO DA TRANSAO DO CVT INVLIDO, PARA PAGAMENTOS DE OCT/CE';
   EXEC INCLUI_ERRCNABP '409', '5344', 'CEDENTE NO CADASTRADO NO UNIBANCO PARA OPERAR COM TRANSAES DE COBRANA ESPECIAL';
   EXEC INCLUI_ERRCNABP '409', '5345', 'N. DE REFERNCIA DA COBRANA ESPECIAL INVLIDO';
   EXEC INCLUI_ERRCNABP '409', '5346', 'DATA VENCIMENTO INVLIDA - PAGAMENTO DARF';
   EXEC INCLUI_ERRCNABP '409', '5347', 'POSIO 220 A 234 - INVLIDA';
   EXEC INCLUI_ERRCNABP '409', '5348', 'CEDENTE NO CADASTRADO NO UNIBANCO PARA OPERAR COM TRANSAES DE OCT';
   EXEC INCLUI_ERRCNABP '409', '5349', 'TIPO DA SOLICITAO INVLIDO PARA PAGAMENTO ELETRNICO UNIBANCO(DIFERENTE DE 1 A 7)';
   EXEC INCLUI_ERRCNABP '409', '5350', 'AGNCIA DOMICLIO INEXISTENTE PARA PAGAMENTO ELETRNICO UNIBANCO';
   EXEC INCLUI_ERRCNABP '409', '5351', 'TIPO DE SERVIO NO AUTORIZADO PARA OPERAR COM PAGAMENTO ELETRNICO UNIBANCO';
   EXEC INCLUI_ERRCNABP '409', '5352', 'NOSSO NMERO NO NUMRICO OU IGUAL A ZERO PARA ALTERAO, CANCELAMENTO OU EXCLUSO DE PAGAMENTOS(CD. DA OPERAO IGUAL A 2,3 OU 4';
   EXEC INCLUI_ERRCNABP '409', '5353', 'NOSSO NMERO NO CADASTRADO P/ ALTERAO DE PAGTO';
   EXEC INCLUI_ERRCNABP '409', '5354', 'NMERO DOCUMENTO INVLIDO - PAGAMENTO DARF/GPS';
   EXEC INCLUI_ERRCNABP '409', '5355', 'CDIGO RECEITA INVLIDO - PAGAMENTO DARF/GPS';
   EXEC INCLUI_ERRCNABP '409', '5356', 'NO  PERMITIDO A ALTERAO DE PAGAMENTO J AUTORIZADO OU A DATA DO PAGAMENTO SOLICITADO  IGUAL A DATA DO PROCESSAMENTO';
   EXEC INCLUI_ERRCNABP '409', '5357', 'NO  PERMITIDO O CANCELAMENTO DE PAGAMENTO NO AUTORIZADO OU A DATA DO PAGAMENTO SOLICITADO  IGUAL A DATA DO PROCESSAMENTO';
   EXEC INCLUI_ERRCNABP '409', '5358', 'NO  PERMITIDO EXCLUSO DE PGTO AUTORIZADO, PAGO OU INATIVO OU, DATA DO PAGAMENTO SOLICITADO IGUAL A DATA DO PAGAMENTO';
   EXEC INCLUI_ERRCNABP '409', '5359', 'NO  PERMITIDO ALTERAO DE PAGAMENTO COM OS SEGUINTES DADOS IGUAIS AO ANTERIOR: CDIGO DA OPERAO , C/C DA EMPRESA E NOSSO NMERO';
   EXEC INCLUI_ERRCNABP '409', '5360', 'NO  PERMITIDO CANCELAMENTO COM OS SEGUINTES DADOS IGUAIS AO ANTERIOR: CDIGO DA OPERAO, C/C DA EMPRESA E NOSSO NMERO';
   EXEC INCLUI_ERRCNABP '409', '5361', 'NO  PERMITIDO EXCLUSO DE PAGTO COM OS SEGUINTES DADOS IGUAIS AO ANTERIOR CDIGO DA OPERAO, C/C DA EMPRESA E NOSSO NMERO';
   EXEC INCLUI_ERRCNABP '409', '5362', 'A EMPRESA EST SOLICITANDO CRDITO PARA UM BENEFICIRIO DE PAGAMENTO ELETRNICO UNIBANCO, SEM ANTES TER SOLICITADO O SEU CADASTRAMENTO';
   EXEC INCLUI_ERRCNABP '409', '5363', 'A EMPRESA EST SOLICITANDO A INCLUSO DE UM BENEFICIRIO J CADASTRADO NO PAGAMENTO ELETRNICO UNIBANCO';
   EXEC INCLUI_ERRCNABP '409', '5364', 'SOLICITAO DE PAGAMENTO ELETRNICO UNIBANCO J EFETUADA ANTERIORMENTE';
   EXEC INCLUI_ERRCNABP '409', '5365', 'CDIGO DE MOEDA NO ENCONTRADO PARA PAGAMENTO DE TTULO DE OUTRO BANCO';
   EXEC INCLUI_ERRCNABP '409', '5366', 'NOSSO NMERO DO OUTRO BANCO NO INFORMADO(EM BRANCO), PARA PAGAMENTO DE TTULO DE OUTRO BANCO(TIPO SERVIO "6" OU "9")';
   EXEC INCLUI_ERRCNABP '409', '5367', 'CDIGO DE EMPRESA NO NUMRICO OU IGUAL A ZEROS PARA PAGAMENTO ELETRNICO UNIBANCO';
   EXEC INCLUI_ERRCNABP '409', '5368', 'VALOR RECEITA INVLIDO.PAGAMENTO DARF';
   EXEC INCLUI_ERRCNABP '409', '5369', 'DGITO DO NMERO DO BENEFICIRIO DIFERENTE DO CALCULADO PARA PAGAMENTO ELETRNICO UNIBANCO/CARTO SAQUE';
   EXEC INCLUI_ERRCNABP '409', '5370', 'CLIENTE NO CADASTRADO NO UNIBANCO PARA OPERAR COM TRANSAES DE CONTAS A RECEBER';
   EXEC INCLUI_ERRCNABP '409', '5371', 'CONTA DO CLIENTE NO NUMRICO, IGUAL A ZEROS OU INEXISTENTE';
   EXEC INCLUI_ERRCNABP '409', '5372', 'NO  POSSVEL EFETUAR O PAGAMENTO PARA ESTA DATA, HORRIO LIMITE PARA ENVIO DE DOC J EXPIRADO.PROCESSAMENTO J EFETUADO';
   EXEC INCLUI_ERRCNABP '409', '5373', 'NO  POSSVEL EFETUAR O PAGAMENTO PARA ESTA DATA, HORRIO LIMITE EXPIRADO.PROCESSAMENTO J EFETUADO ';
   EXEC INCLUI_ERRCNABP '409', '5374', 'CONTA CORRENTE NO CADASTRADA';
   EXEC INCLUI_ERRCNABP '409', '5375', 'CDIGO DO IPTE INVLIDO';
   EXEC INCLUI_ERRCNABP '409', '5376', 'CDIGO DE BARRAS INVLIDO';
   EXEC INCLUI_ERRCNABP '409', '5377', 'AGENDAMENTO NO PERMITIDO';
   EXEC INCLUI_ERRCNABP '409', '5378', 'OPERAO INVLIDA';
   EXEC INCLUI_ERRCNABP '409', '5379', 'REFERNCIA INVLIDA - PAGAMENTO DARF';
   EXEC INCLUI_ERRCNABP '409', '5380', 'AUTORIZAO NO PERMITIDA';
   EXEC INCLUI_ERRCNABP '409', '5381', 'TTULO J AUTORIZADO';
   EXEC INCLUI_ERRCNABP '409', '5382', 'AGNCIA DOMICLIO INVLIDA';
   EXEC INCLUI_ERRCNABP '409', '5384', 'NOTA FISCAL INVLIDA';
   EXEC INCLUI_ERRCNABP '409', '5385', 'CNPJ / CPF INVLIDO';
   EXEC INCLUI_ERRCNABP '409', '5388', 'PERCENTUAL RECEITA INVLIDO - PAGAMENTO DARF';
   EXEC INCLUI_ERRCNABP '409', '5389', 'VALOR PRINCIPAL INVLIDO - PAGAMENTO DARF/GPS';
   EXEC INCLUI_ERRCNABP '409', '5394', 'VALOR JUROS INVLIDO - PAGAMENTO DARF';
   EXEC INCLUI_ERRCNABP '409', '5395', 'VALOR OUTROS INVLIDO - PAGAMENTO GPS';
   EXEC INCLUI_ERRCNABP '409', '5396', 'VALOR TOTAL INVLIDO - PAGAMENTO DARF/GPS';
   EXEC INCLUI_ERRCNABP '409', '5397', 'DATA COMPETNCIA INVLIDA - PAGAMENTO GPS';
   EXEC INCLUI_ERRCNABP '409', '5399', 'CDIGO DA EMPRESA DIFERENTE DO CADASTRADO.O CLIENTE NO EST CADASTRADO PARA TRABALHAR COM CARTO SAQUE';
   EXEC INCLUI_ERRCNABP '409', '5438', 'NO EXISTE CONTA CORRENTE';
   EXEC INCLUI_ERRCNABP '409', '5439', 'SEM SALDO';
   EXEC INCLUI_ERRCNABP '409', '5440', 'C/C - AGNCIA ENCERRADA';
   EXEC INCLUI_ERRCNABP '409', '5441', 'C/C - AGNCIA INVLIDA';
   EXEC INCLUI_ERRCNABP '409', '5442', 'C/C - AGNCIA INEXISTENTE NO CADASTRO DE AGNCIAS';
   EXEC INCLUI_ERRCNABP '409', '5470', 'CONTA ENCERRADA';
   EXEC INCLUI_ERRCNABP '409', '5471', 'BLOQUEIO JUDICIAL';
   EXEC INCLUI_ERRCNABP '409', '5472', 'TRANSFERNCIA INSUFICIENTE';
   EXEC INCLUI_ERRCNABP '409', '5473', 'AGNCIA, CONTA CORRENTE OU NOME DO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '409', '5474', 'DOC-D INVLIDO - CONTA POUPANA';
   EXEC INCLUI_ERRCNABP '409', '5475', 'DOC-D INVLIDO - CGC/CPF INVLIDO';
   EXEC INCLUI_ERRCNABP '409', '5476', 'MOEDA INVLIDA';
   EXEC INCLUI_ERRCNABP '409', '5477', 'CLIENTE RECUSOU O CRDITO';
   EXEC INCLUI_ERRCNABP '409', '5486', 'IDENTIFICAO DO CLIENTE VISA INVLIDO';
   EXEC INCLUI_ERRCNABP '409', '5487', 'NOME DO CLIENTE VISA INVLIDO';
   EXEC INCLUI_ERRCNABP '409', '5499', 'CONTATAR UNIBANCO INFORMANDO O CDIGO DO ERRO IDENTIFICADO.O PAGAMENTO NO EFETUADO, ENCONTRA-SE NO STATUS "A RECONFIRMAR"';

   -- BANCO BANESPA  033

   EXEC INCLUI_ERRCNABP '033', '00', 'LANAMENTO EFETUADO';
   EXEC INCLUI_ERRCNABP '033', '01', 'LANAMENTO NO EFETUADO';
   EXEC INCLUI_ERRCNABP '033', '02', 'LANAMENTO CANCELADO PELO CONVENIADO';
   EXEC INCLUI_ERRCNABP '033', 'AA', 'CONTROLE INVLIDO';
   EXEC INCLUI_ERRCNABP '033', 'AB', 'TIPO DE OPERAO INVLIDO';
   EXEC INCLUI_ERRCNABP '033', 'AC', 'TIPO DE SERVIO INVLIDO';
   EXEC INCLUI_ERRCNABP '033', 'AD', 'FORMA DE LANAMENTO INVLIDA';
   EXEC INCLUI_ERRCNABP '033', 'AE', 'TIPO/NMERO DE INSCRIO INVLIDA';
   EXEC INCLUI_ERRCNABP '033', 'AG', 'CONTA CORRENTE DO CONVENIADO(N.DA AGNCIA /N DA CONTA/DV)INVLIDA';
   EXEC INCLUI_ERRCNABP '033', 'AH', 'NMERO SEQUENCIAL DO REGISTRO NO LOTE INVLIDO';
   EXEC INCLUI_ERRCNABP '033', 'AI', 'CDIGO DE SEGMENTO DE DETALHE INVLIDO';
   EXEC INCLUI_ERRCNABP '033', 'AJ', 'TIPO DE MOVIMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '033', 'AL', 'CDIGO DO BANCO DO FAVORECIDO OU DEPOSITRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '033', 'AM', 'AGNCIA MANTENEDORA DA CONTA CORRENTE DO FAVORECIDO INVLIDA';
   EXEC INCLUI_ERRCNABP '033', 'AN', 'CONTA CORRENTE/DV DO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '033', 'AO', 'NOME DO FAVORECIDO NO INFORMADO';
   EXEC INCLUI_ERRCNABP '033', 'AP', 'DATA LANAMENTO INVLIDA';
   EXEC INCLUI_ERRCNABP '033', 'AQ', 'TIPO/QUANTIDADE DA MOEDA INVLIDO';
   EXEC INCLUI_ERRCNABP '033', 'AR', 'VALOR DO LANAMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '033', 'AS', 'AVISO AO FAVORECIDO - IDENTIFICAO INVLIDA(INFORMATIVO)';
   EXEC INCLUI_ERRCNABP '033', 'AT', 'TIPO/N DE INSCRIO DO FAVORECIDO NO SEGMENTO "B" INVLIDO';
   EXEC INCLUI_ERRCNABP '033', 'BC', 'NOSSO NMERO INVLIDO';
   EXEC INCLUI_ERRCNABP '033', 'BD', 'CONFIRMAO DE AGENDAMENTO DE COMPROMISSO';
   EXEC INCLUI_ERRCNABP '033', 'CA', 'CDIGO DE BARRAS - CDIGO DO BANCO INVLIDO';
   EXEC INCLUI_ERRCNABP '033', 'CB', 'CDIGO DE BARRAS - CDIGO DA MOEDA INVLIDO ';
   EXEC INCLUI_ERRCNABP '033', 'CC', 'CDIGO DE BARRAS - DGITO VERIFICADOR GERAL INVLIDO';
   EXEC INCLUI_ERRCNABP '033', 'CD', 'CDIGO DE BARRAS - VALOR DO TTULO INVLIDO';
   EXEC INCLUI_ERRCNABP '033', 'CE', 'CDIGO DE BARRAS - CAMPO LIVRE INVLIDO';
   EXEC INCLUI_ERRCNABP '033', 'CF', 'VALOR DO DOCUMENTO INFORMADO NO SEGMENTO "B" INVLIDO';
   EXEC INCLUI_ERRCNABP '033', 'CG', 'VALOR DO ABATIMENTO INFORMADO NO SEGMENTO "B" INVLIDO ';
   EXEC INCLUI_ERRCNABP '033', 'CH', 'VALOR DO DESCONTO INFORMADO NO SEGMENTO "B" INVLIDO';
   EXEC INCLUI_ERRCNABP '033', 'CI', 'VALOR DA MORA INFORMADA NO SEGMENTO "B" INVLIDO';
   EXEC INCLUI_ERRCNABP '033', 'CJ', 'VALOR DA MULTA INFORMADA NO SEGMENTO "B" INVLIDO';
   EXEC INCLUI_ERRCNABP '033', 'HA', 'LOTE NO ACEITO';
   EXEC INCLUI_ERRCNABP '033', 'HB', 'INSCRIO DA EMPRESA INVLIDA PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '033', 'HC', 'CONVNIO COM A EMPRESA INEXISTENTE/INVLIDO PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '033', 'HE', 'TIPO DE SERVIO INVLIDO PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '033', 'TA', 'LOTE NO ACEITO - TOTAIS DO LOTE COM DIFERENA';
   EXEC INCLUI_ERRCNABP '033', 'XA', 'TIPO DE LANAMENTO = 50(GPS) E TIPO DE SERVIO DIFERENTE DE 20';
   EXEC INCLUI_ERRCNABP '033', 'XB', 'TIPO DE LANAMENTO = 50(GPS) E NMERO DE INSCRIO DO CONTRIBUINTE IGUAL A ZEROS';
   EXEC INCLUI_ERRCNABP '033', 'XC', 'CDIGO DO PAGAMENTO OU COMPETNCIA OU N DE INSCRIO NO INSS INVLIDO';
   EXEC INCLUI_ERRCNABP '033', 'XD', 'BANCO DA CONTA CORRENTE DO FAVORECIDO DIFERENTE DE ZEROS';
   EXEC INCLUI_ERRCNABP '033', 'XE', 'AGNCIA, DGITO AGNCIA, N DA CONTA, DGITO CONTA OU DGITO AGNCIA-CONTA NO NUMRICO OU DIFERENTE DE ZERO';
   EXEC INCLUI_ERRCNABP '033', 'XF', 'CD.PAGTO.OU COMPET. NO NUMRICO OU = ZEROS.TIPO TRIBUTO DIFERENTE DE GPS';

   -- BANCO DO BRASIL  001

   EXEC INCLUI_ERRCNABP '001', 'HA', 'LOTE NO ACEITO';
   EXEC INCLUI_ERRCNABP '001', 'HB', 'INSCRIO DA EMPRESA INVLIDA PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '001', 'HC', 'CONVNIO COM A EMPRESA INEXISTENTE/INVLIDO PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '001', 'HD', 'AGENCIA/CONTA DA EMPRESA INEXISTENTE/INVLIDA PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '001', 'HE', 'TIPO DE SERVIO INVLIDO PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '001', 'HF', 'CONTA CORRENTE DA EMPRESA COM SALDO INSUFICIENTE';
   EXEC INCLUI_ERRCNABP '001', 'HG', 'LOTE DE SERVIO FORA DE SEQUNCIA';
   EXEC INCLUI_ERRCNABP '001', 'HH', 'LOTE DE SERVIO INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'AA', 'CONTROLE INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'AB', 'TIPO DE OPERAO INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'AC', 'TIPO DE SERVIO INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'AD', 'FORMA DE LANAMENTO INVLIDA';
   EXEC INCLUI_ERRCNABP '001', 'AE', 'TIPO/NMERO DE INSCRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'AF', 'CDIGO DE CONVNIO INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'AG', 'AGNCIA/CONTA CORRENTE/DV INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'AH', 'N SEQUENCIAL DO REGISTRO NO LOTE INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'AI', 'CDIGO DE SEGMENTO DE DETALHE INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'AJ', 'TIPO DE MOVIMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'AK', 'CDIGO DA CAMARA DE COMPENSAO DO BANCO DO FAVORECIDO DEPOSITRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'AL', 'CDIGO DO BANCO DO FAVORECIDO OU DEPOSITRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'AM', 'AGNCIA MANTENEDORA DA CONTA C/C DO FAVORECIDO INVLIDA';
   EXEC INCLUI_ERRCNABP '001', 'AN', 'CONTA CORRENTE/DV DO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'AO', 'NOME DO FAVORECIDO NO INFORMADO';
   EXEC INCLUI_ERRCNABP '001', 'AP', 'DATA LANAMENTO INVLIDA';
   EXEC INCLUI_ERRCNABP '001', 'AQ', 'TIPO/QUANTIDADE DA MOEDA INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'AR', 'VALOR DO LANAMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'AS', 'AVISO AO FAVORECIDO - IDENTIFICAO INVLIDA';
   EXEC INCLUI_ERRCNABP '001', 'AT', 'TIPO/NUMERO DE INSCRIO DO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'AU', 'LOGRADOURO DO FAVORECIDO NO INFORMADO';
   EXEC INCLUI_ERRCNABP '001', 'AV', 'N DO LOCAL DO FAVORECIDO NO INFORMADO';
   EXEC INCLUI_ERRCNABP '001', 'AW', 'CIDADE DO FAVORECIDO NO INFORMADA';
   EXEC INCLUI_ERRCNABP '001', 'AX', 'CEP/COMPLEMENTO DO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'AY', 'SIGLA DO ESTADO DO FAVORECIDO INVLIDA';
   EXEC INCLUI_ERRCNABP '001', 'AZ', 'CDIGO/NOME DO BANCO DEPOSITRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'BA', 'CDIGO/NOME DA AGNCIA DEPOSITRIA NO INFORMADO';
   EXEC INCLUI_ERRCNABP '001', 'BB', 'SEU NMERO INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'BC', 'NOSSO NMERO INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'BD', 'CONFIRMAO DE PAGAMENTO AGENDADO';
   EXEC INCLUI_ERRCNABP '001', 'BE', 'CPF/CGC DO CREDITADO NO CORRESPONDE A AGNCIA /CONTA INFORMADAS';
   EXEC INCLUI_ERRCNABP '001', 'CA', 'CDIGO DE BARRAS - CDIGO DO BANCO INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'CB', 'CDIGO DE BARRAS - CDIGO DA MOEDA INVLIDO ';
   EXEC INCLUI_ERRCNABP '001', 'CC', 'CDIGO DE BARRAS - DGITO VERIFICADOR GERAL INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'CD', 'CDIGO DE BARRAS - VALOR DO TTULO INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'CE', 'CDIGO DE BARRAS - CAMPO LIVRE INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'CF', 'VALOR DO DOCUMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'CG', 'VALOR DO ABATIMENTO INVLIDO ';
   EXEC INCLUI_ERRCNABP '001', 'CH', 'VALOR DO DESCONTO INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'CI', 'VALOR DE MORA INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'CJ', 'VALOR DA MULTA INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'CK', 'VALOR DO IR INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'CL', 'VALOR DO ISS INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'CM', 'VALOR DO IOF INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'CN', 'VALOR DE OUTRAS DEDUES INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'CO', 'VALOR DE OUTROS ACRSCIMOS INVLIDO';
   EXEC INCLUI_ERRCNABP '001', 'TA', 'LOTE NO ACEITO - TOTAIS DO LOTE COM DIFERENA';

   -- BANCO DE BOSTON 479

   EXEC INCLUI_ERRCNABP '479', '100', 'CONTA-CORRENTE NO CADASTRADA';
   EXEC INCLUI_ERRCNABP '479', '104', 'CDIGO BANCO NO CADASTRADO';
   EXEC INCLUI_ERRCNABP '479', '105', 'CDIGO AGNCIA NO CADASTRADO';
   EXEC INCLUI_ERRCNABP '479', '106', 'CDIGO CLIENTE NO CADASTRADO';
   EXEC INCLUI_ERRCNABP '479', '112', 'TRANSAO INVLIDA - J CADASTRADO';
   EXEC INCLUI_ERRCNABP '479', '130', 'COMPROMISSO COM PAGAMENTO J EFETUADO';
   EXEC INCLUI_ERRCNABP '479', '132', 'CDIGO FORNECEDOR NO CADASTRADO';
   EXEC INCLUI_ERRCNABP '479', '133', 'DADOS INCOMPLETOS OU INVLIDOS';
   EXEC INCLUI_ERRCNABP '479', '134', 'DADOS INCOMPLETOS REFERENTE AO TIPO DE PAGAMENTO';
   EXEC INCLUI_ERRCNABP '479', '137', 'NUMERO DO DOCUMENTO ESTA DIFERENTE';
   EXEC INCLUI_ERRCNABP '479', '139', 'COMPROMISSO NO CADASTRADO';
   EXEC INCLUI_ERRCNABP '479', '142', 'DATA DE BAIXA INCOMPATIVEL COM DATA DE PAGTO';
   EXEC INCLUI_ERRCNABP '479', '150', 'CLIENTE NO CADASTRADO EM BASES GERAIS';
   EXEC INCLUI_ERRCNABP '479', '151', 'CLIENTE NO CADASTRADO PARA PAYMENTS EM BASES GERAIS';
   EXEC INCLUI_ERRCNABP '479', '152', 'CLIENTE NO CADASTRADO NO RB-PES/RB-CLI :CONTATAR SISTEMAS';
   EXEC INCLUI_ERRCNABP '479', '156', 'PONTO DE VENDA NO CADASTRADO';
   EXEC INCLUI_ERRCNABP '479', '157', 'AGNCIA C/C INVLIDA';
   EXEC INCLUI_ERRCNABP '479', '158', 'NUMERO C/C INVLIDO';
   EXEC INCLUI_ERRCNABP '479', '159', 'COD ENDERECO PARA CORRESPONDENCIA INVLIDO';
   EXEC INCLUI_ERRCNABP '479', '161', 'CAIXA POSTAL NO INFORMADA';
   EXEC INCLUI_ERRCNABP '479', '162', 'CAIXA POSTAL INTERNA NO INFORMADA';
   EXEC INCLUI_ERRCNABP '479', '166', 'OPO DE CGC INVLIDA';
   EXEC INCLUI_ERRCNABP '479', '181', 'TIPO DE DOCUMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '479', '182', 'FORNECEDOR NO POSSUI CONVENIO PARA COBRANCA';
   EXEC INCLUI_ERRCNABP '479', '193', 'BCO P/ PAGAMENTO NO E BANCO CONVENIADO';
   EXEC INCLUI_ERRCNABP '479', '197', 'DATA PAGTO E FERIADO NA SUC PAGTO OU SUC DE DEBITO';
   EXEC INCLUI_ERRCNABP '479', '198', 'COMPROMISSO J FOI DEBITADO DO CLIENTE';
   EXEC INCLUI_ERRCNABP '479', '200', 'NOME E ENDERECO DE FORNECEDOR OBRIGATORIOS';
   EXEC INCLUI_ERRCNABP '479', '201', 'COD FORNECEDOR NO NUMERICO';
   EXEC INCLUI_ERRCNABP '479', '202', 'COD FORNECEDOR C/DIGITO INVLIDO';
   EXEC INCLUI_ERRCNABP '479', '203', 'CGC/CPF NO NUMERICO';
   EXEC INCLUI_ERRCNABP '479', '204', 'CGC/CPF C/DIGITO INVLIDO';
   EXEC INCLUI_ERRCNABP '479', '206', 'BANCO P/CREDITO NO NUMERICO';
   EXEC INCLUI_ERRCNABP '479', '207', 'AGNCIA P/CREDITO NO NUMERICA';
   EXEC INCLUI_ERRCNABP '479', '208', 'AGNCIA DO BOSTON NO ESTA CADASTRADA';
   EXEC INCLUI_ERRCNABP '479', '210', 'BANCO P/CREDITO NO ESTA CADASTRADO';
   EXEC INCLUI_ERRCNABP '479', '211', 'AGNCIA/CONTA DO BOSTON NO ESTA CADASTRADA';
   EXEC INCLUI_ERRCNABP '479', '212', 'CLIENTE NO TROCA FITA DE PAYMENTS';
   EXEC INCLUI_ERRCNABP '479', '213', 'ARQUIVO J PROCESSADO';
   EXEC INCLUI_ERRCNABP '479', '214', 'CONVENIO NO CADASTRADO PARA AGNCIA';
   EXEC INCLUI_ERRCNABP '479', '216', 'DATA VENCIMENTO INVLIDA PARA PAGTO EM "COB"';
   EXEC INCLUI_ERRCNABP '479', '221', 'REGISTRO DE REDIGITAO NO CADASTRADO';
   EXEC INCLUI_ERRCNABP '479', '223', 'AGNCIA DE PAGAMENTO COM CONTEUDO NO NUMERICO';
   EXEC INCLUI_ERRCNABP '479', '233', 'AGNCIA INVLIDA - NO IMPLANTADA PAYMENTS';
   EXEC INCLUI_ERRCNABP '479', '235', 'CLIENTE NO AUTORIZADO CADASTRAR PAGTO HOJE';
   EXEC INCLUI_ERRCNABP '479', '236', 'HORARIO LIMITE P/CADASTRAR HOJE, ENCERRADA';
   EXEC INCLUI_ERRCNABP '479', '240', 'CONVENIO NO ACEITA COMPR. C/ DATA PGTO > VENCTO';
   EXEC INCLUI_ERRCNABP '479', '241', 'DATA PARA DEBITO FOI ALTERADA PARA PROXIMO DIA UTIL';
   EXEC INCLUI_ERRCNABP '479', '242', 'DT.DEB.ALTERADA. FLOAT NO PODE SER > QUE CONVENIO OU > 3';
   EXEC INCLUI_ERRCNABP '479', '247', 'OPO NO PERMITIDA,CONVENIO MODAL.VAREJO';
   EXEC INCLUI_ERRCNABP '479', '250', 'DATA VENCIMENTO OU VALOR ZERADOS OU NO NUMERICOS';
   EXEC INCLUI_ERRCNABP '479', '251', 'DATA VENCIMENTO INVLIDA';
   EXEC INCLUI_ERRCNABP '479', '252', 'TIPO DE PAGAMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '479', '253', 'DATA DE PAGAMENTO INVLIDA';
   EXEC INCLUI_ERRCNABP '479', '254', 'BANCO PORTADOR DO TITULO NO NUMERICO';
   EXEC INCLUI_ERRCNABP '479', '255', 'AGNCIA DE PAGAMENTO NO NUMERICA';
   EXEC INCLUI_ERRCNABP '479', '258', 'TIPO DE DOCUMENTO DE COMPROMISSO NO CADASTRADO';
   EXEC INCLUI_ERRCNABP '479', '259', 'MOEDA NO ESTA CADASTRADA';
   EXEC INCLUI_ERRCNABP '479', '260', 'DATA DE PAGAMENTO NO PODE SER MENOR OU IGUAL DATA DE HOJE';
   EXEC INCLUI_ERRCNABP '479', '261', 'BANCO PORTADOR NO ESTA CADASTRADO';
   EXEC INCLUI_ERRCNABP '479', '262', 'AGNCIA DE PAGAMENTO NO ESTA CADASTRADA';
   EXEC INCLUI_ERRCNABP '479', '263', 'AGNCIA DE PAGAMENTO NO E BANCO';
   EXEC INCLUI_ERRCNABP '479', '264', 'DADOS INCOMPLETOS PARA PAGAMENTO';
   EXEC INCLUI_ERRCNABP '479', '265', 'PAGTO EM DOC FALTANDO DADOS';
   EXEC INCLUI_ERRCNABP '479', '266', 'PAGTO EM CC FALTANDO DADOS';
   EXEC INCLUI_ERRCNABP '479', '267', 'PAGTO EM COB FALTANDO DADOS';
   EXEC INCLUI_ERRCNABP '479', '270', 'CAMARA COMPENSAO NO EXISTE PARA O BANCO';
   EXEC INCLUI_ERRCNABP '479', '271', 'COMPROMISSO DOMICILIO VAREJO SO ACEITA OCORRENCIA C04';
   EXEC INCLUI_ERRCNABP '479', '276', 'TIPO PAGAMENTO INVLIDO P/COBRANCA VAREJO';
   EXEC INCLUI_ERRCNABP '479', '281', 'NOTA FISCAL INVLIDA P/COBRANCA VAREJO ';
   EXEC INCLUI_ERRCNABP '479', '282', 'VALOR NOTA DEVOLUO INVLIDO P/COB.VAREJO';
   EXEC INCLUI_ERRCNABP '479', '285', 'TIPO DE COMPROMISSO INVLIDO P/COBRANCA VAREJO';
   EXEC INCLUI_ERRCNABP '479', '299', 'CDIGO DE BARRA INVLIDO';
   EXEC INCLUI_ERRCNABP '479', '300', 'ARQUIVO REMESSA SEM REGISTROS DE DETALHE  ';
   EXEC INCLUI_ERRCNABP '479', '301', 'DATA RECEBIMENTO MENOR DATA REFERENCIA';
   EXEC INCLUI_ERRCNABP '479', '302', 'NUMERO REGISTRO DO HEADER DIFERENTE 1';
   EXEC INCLUI_ERRCNABP '479', '303', 'REGISTRO DE HEADER DO MOVIMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '479', '304', 'MOVIMENTO SEM HEADER';
   EXEC INCLUI_ERRCNABP '479', '305', 'REGISTRO DO ARQUIVO REMESSA NO IDENTIFICADO';
   EXEC INCLUI_ERRCNABP '479', '306', 'VOLUME COM DADOS DUPLICADOS';
   EXEC INCLUI_ERRCNABP '479', '312', 'NUMERO COMPROMISSO INVLIDO';
   EXEC INCLUI_ERRCNABP '479', '313', 'COMPROMISSO J CADASTRADO';
   EXEC INCLUI_ERRCNABP '479', '314', 'CAMARA COMPENSAO INVLIDA';
   EXEC INCLUI_ERRCNABP '479', '315', 'VALOR ABATIMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '479', '316', 'VALOR JUROS-MULTA INVLIDO';
   EXEC INCLUI_ERRCNABP '479', '317', 'CONTA-CORRENTE NO NUMERICA';
   EXEC INCLUI_ERRCNABP '479', '320', 'TITULO NO CAPTURADO DEVIDO ERRO CGC/CPF SACADO';
   EXEC INCLUI_ERRCNABP '479', '321', 'TITULO CAPTURADO INDEVIDAMENTE ESTE CONVENIO';
   EXEC INCLUI_ERRCNABP '479', '322', 'NO EXISTEM INSTRUCOES PARA ESSE TITULO';
   EXEC INCLUI_ERRCNABP '479', '323', 'TIPO CDIGO INSCRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '479', '324', 'PTO VENDA/CONVENIO DIFERENTE DO HEADER';
   EXEC INCLUI_ERRCNABP '479', '325', 'FALTA REGISTRO NUMERO XXXXX';
   EXEC INCLUI_ERRCNABP '479', '326', 'REGISTRO FORA DE ORDEM';
   EXEC INCLUI_ERRCNABP '479', '327', 'NUMERO REGISTRO NO NUMERICO';
   EXEC INCLUI_ERRCNABP '479', '328', 'IDENTIFICAO CLIENTE DIFERENTE DO INICIAL';
   EXEC INCLUI_ERRCNABP '479', '329', 'CDIGO OPERAO INVLIDO';
   EXEC INCLUI_ERRCNABP '479', '330', 'CDIGO OCORRENCIA INVLIDO';
   EXEC INCLUI_ERRCNABP '479', '331', 'VALOR AUTORIZADO INVLIDO';
   EXEC INCLUI_ERRCNABP '479', '332', 'COMPROMISSO INVLIDO';
   EXEC INCLUI_ERRCNABP '479', '333', 'COMPROMISSO NO PODE SER BLOQUEADO';
   EXEC INCLUI_ERRCNABP '479', '334', 'COMPROMISSO NO PODE SER DESBLOQUEADO';
   EXEC INCLUI_ERRCNABP '479', '335', 'CDIGO ALEGAO INVLIDO';
   EXEC INCLUI_ERRCNABP '479', '336', 'DESCRIO DA ALEGAO INVLIDA';
   EXEC INCLUI_ERRCNABP '479', '337', 'IDENTIFICAO DO CLIENTE INVLIDA';
   EXEC INCLUI_ERRCNABP '479', '340', 'COMPR NO PODE SER EXCLUIDO - J DEBITADO';
   EXEC INCLUI_ERRCNABP '479', '345', 'ALTERAO DE AVISO INVLIDA NO PROCESSAMENTO DA REMESSA';
   EXEC INCLUI_ERRCNABP '479', '350', 'COMPR EM OUTRAS MOEDAS INVAL P LISTA DE DEBITO';
   EXEC INCLUI_ERRCNABP '479', '355', 'VL. MOEDA NO CADASTRADO BASE GERAIS';
   EXEC INCLUI_ERRCNABP '479', '357', 'NUMERO DO BORDERO INVLIDO';
   EXEC INCLUI_ERRCNABP '479', '360', 'VAL. CHECKSUM INVLIDO';
   EXEC INCLUI_ERRCNABP '479', '361', 'CDIGO TERCEIRIZADA NO CADASTRADO';
   EXEC INCLUI_ERRCNABP '479', '362', 'NUMERO DO LOTE IGUAL A ZEROS';
   EXEC INCLUI_ERRCNABP '479', '363', 'CONVENIO NO TEM MODALIDADE TERCEIRIZADA';
   EXEC INCLUI_ERRCNABP '479', '364', 'TP.PAGTO INVLIDO P/ TERCEIRIZADA';
   EXEC INCLUI_ERRCNABP '479', '365', 'COD.OCORR.INVAL.P/TERCEIRIZADA';
   EXEC INCLUI_ERRCNABP '479', '371', 'BANCO PARA PAGAMENTO ESTA INATIVO';
   EXEC INCLUI_ERRCNABP '479', '372', 'VALOR TED ABAIXO DO LIMITE';
   EXEC INCLUI_ERRCNABP '479', '373', 'CONTA CORRENTE RESTRITA PARA DEBITO';
   EXEC INCLUI_ERRCNABP '479', '375', 'NUMERO DA AG.DO BCO DESTINO INVLIDA';
   EXEC INCLUI_ERRCNABP '479', '376', 'NUMERO DA C/C DA AG.DO BCO DESTINO INVLIDA';
   EXEC INCLUI_ERRCNABP '479', '511', 'TIPO DE COMPROMISSO SO PARA FOLHA DE PAGAMENTO';
   EXEC INCLUI_ERRCNABP '479', '512', 'TIPO DE PAGAMENTO INVLIDO PARA FOLHA';
   EXEC INCLUI_ERRCNABP '479', '514', 'FORNECEDOR INVLIDO PARA FOLHA DE PAGAMENTO';
   EXEC INCLUI_ERRCNABP '479', '516', 'NOME DO FORNECEDOR NO PREENCHIDO';
   EXEC INCLUI_ERRCNABP '479', '522', 'TIPO DE COMPR.INVAL.P/CONV.C/DEB.EM C.CONTABIL';
   EXEC INCLUI_ERRCNABP '479', '530', 'ALTERAO DE VALOR INVLIDA PARA ESTE CONVENIO';
   EXEC INCLUI_ERRCNABP '479', '535', 'TP PAGTO NO PODE SER CHEQUE P/CONV.DEB.DE CTA CONTABIL';
   EXEC INCLUI_ERRCNABP '479', '810', 'NO EXISTE REGISTRO DE HEADER NO ARQUIVO';
   EXEC INCLUI_ERRCNABP '479', '812', 'VERSAO DO HEADER DO ARQUIVO DIFERENTE DO HEADER NO CONTROLE';
   EXEC INCLUI_ERRCNABP '479', '857', 'OPERAO INVLIDA';
   EXEC INCLUI_ERRCNABP '479', '859', 'COMPROMISSO J AUTORIZADO';
   EXEC INCLUI_ERRCNABP '479', '999', 'COMPROMISSO J LIQUIDADO';
 
   --BANCO CAIXA ECONMICA FEDERAL

   EXEC INCLUI_ERRCNABP '104', '00', 'CRDITO OU DBITO EFETIVADO';
   EXEC INCLUI_ERRCNABP '104', '01', 'INSUFICINCIA DE FUNDOS - DBITO NO EFETUADO';
   EXEC INCLUI_ERRCNABP '104', '02', 'CRDITO OU DBITO CANCELADO PELO PAGADOR/CREDOR';
   EXEC INCLUI_ERRCNABP '104', '03', 'DBITO AUTORIZADO PELA AGNCIA - EFETUADO';
   EXEC INCLUI_ERRCNABP '104', 'HA', 'LOTE NO ACEITO';
   EXEC INCLUI_ERRCNABP '104', 'HB', 'INSCRIO DA EMPRESA INVLIDA PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '104', 'HC', 'CONVNIO COM A EMPRESA INEXISTENTE/INVLIDO PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '104', 'HD', 'AGNCIA/CONTA CORRENTE DA EMPRESA INEXISTENTE/INVLIDO PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '104', 'HE', 'TIPO DE SERVIO INVLIDO PARA O CONTRATO';
   EXEC INCLUI_ERRCNABP '104', 'HF', 'CONTA CORRENTE DA EMPRESA COM SALDO INSUFICIENTE';
   EXEC INCLUI_ERRCNABP '104', 'HG', 'LOTE DE SERVIO FORA DE SEQNCIA';
   EXEC INCLUI_ERRCNABP '104', 'HH', 'LOTE DE SERVIO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'HI', 'NMERO DA REMESSA INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'HJ', 'ARQUIVO SEM HEADER';
   EXEC INCLUI_ERRCNABP '104', 'HM', 'VERSO DO ARQUIVO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'AA', 'CONTROLE INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'AB', 'TIPO DE OPERAO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'AC', 'TIPO DE SERVIO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'AD', 'FORMA DE LANAMENTO INVLIDA';
   EXEC INCLUI_ERRCNABP '104', 'AE', 'TIPO/NMERO DE INSCRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'AF', 'CDIGO DE CONVNIO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'AG', 'AGNCIA/CONTA CORRENTE/DV INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'AH', 'NMERO SEQENCIAL DO REGISTRO NO LOTE INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'AI', 'CDIGO DE SEGMENTO DE DETALHE INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'AJ', 'TIPO DE MOVIMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'AK', 'CDIGO DA CMARA DE COMPENSAO DO BANCO FAVORECIDO/DEPOSITRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'AL', 'CDIGO DO BANCO FAVORECIDO OU DEPOSITRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'AM', 'AGNCIA MANTENEDORA DA CONTA CORRENTE DO FAVORECIDO INVLIDA';
   EXEC INCLUI_ERRCNABP '104', 'AN', 'CONTA CORRENTE / DV DO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'AO', 'NOME DO FAVORECIDO NO INFORMADO';
   EXEC INCLUI_ERRCNABP '104', 'AP', 'DATA DE LANAMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'AQ', 'TIPO/QUANTIDADE DE MOEDA INVLIDA';
   EXEC INCLUI_ERRCNABP '104', 'AR', 'VALOR DO LANAMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'AS', 'AVISO AO FAVORECIDO - IDENTIFICAO INVLIDA';
   EXEC INCLUI_ERRCNABP '104', 'AT', 'TIPO/NMERO DE INSCRIO DO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'AU', 'LOGRADOURO DO FAVORECIDO NO INFORMADO';
   EXEC INCLUI_ERRCNABP '104', 'AV', 'NMERO DO LOCAL DO FAVORECIDO NO INFORMADO';
   EXEC INCLUI_ERRCNABP '104', 'AW', 'CIDADE DO FAVORECIDO NO INFORMADA';
   EXEC INCLUI_ERRCNABP '104', 'AX', 'CEP/COMPLEMENTO DO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'AY', 'SIGLA DO ESTADO DO FAVORECIDO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'AZ', 'CDIGO/NOME DO BANCO DEPOSITRIO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'BA', 'CDIGO/NOME DA AGNCIA DEPOSITRIA NO INFORMADO';
   EXEC INCLUI_ERRCNABP '104', 'BB', 'SEU NMERO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'BC', 'NOSSO NMERO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'BD', 'INCLUSO EFETUADA COM SUCESSO';
   EXEC INCLUI_ERRCNABP '104', 'BE', 'ALTERAO EFETUADA COM SUCESSO';
   EXEC INCLUI_ERRCNABP '104', 'BF', 'EXCLUSO EFETUADA COM SUCESSO';
   EXEC INCLUI_ERRCNABP '104', 'BG', 'AGNCIA/CONTA IMPEDIDA LEGALMENTE';
   EXEC INCLUI_ERRCNABP '104', 'CA', 'CDIGO DE BARRAS - CDIGO DO BANCO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'CB', 'CDIGO DE BARRAS - CDIGO DA MOEDA INVLIDA';
   EXEC INCLUI_ERRCNABP '104', 'CC', 'CDIGO DE BARRAS - DGITO VERIFICADOR GERAL INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'CD', 'CDIGO DE BARRAS - VALOR DO TTULO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'CE', 'CDIGO DE BARRAS - CAMPO LIVRE INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'CF', 'VALOR DO DOCUMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'CG', 'VALOR DO ABATIMENTO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'CH', 'VALOR DO DESCONTO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'CI', 'VALOR DE MORA INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'CJ', 'VALOR DA MULTA INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'CK', 'VALOR DO IR INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'CL', 'VALOR DO ISS INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'CM', 'VALOR DO IOF INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'CN', 'VALOR DE OUTRAS DEDUES INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'CO', 'VALOR DE OUTROS ACRSCIMOS INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'CP', 'VALOR DO INSS INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'CQ', 'CDIGO DE BARRAS INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'TA', 'LOTE NO ACEITO - TOTAIS DE LOTE COM DIFERENA';
   EXEC INCLUI_ERRCNABP '104', 'TB', 'LOTE SEM TRAILLER';
   EXEC INCLUI_ERRCNABP '104', 'TC', 'LOTE DE ARQUIVO SEM TRAILLER';
   EXEC INCLUI_ERRCNABP '104', 'YA', 'TTULO NO ENCONTRADO';
   EXEC INCLUI_ERRCNABP '104', 'YB', 'IDENTIFICADOR REGISTRO OPCIONAL INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'YC', 'CDIGO PADRO INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'YD', 'CDIGO DE OCORRNCIA INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'YE', 'COMPLEMENTO DE OCORRNCIA INVLIDO';
   EXEC INCLUI_ERRCNABP '104', 'YF', 'ALEGAO J INFORMADA';

   -- BANCO RURAL

   EXEC INCLUI_ERRCNABP '453', '295', 'Data de vencimeto Cdigo Barras menor que data pagamento';
   EXEC INCLUI_ERRCNABP '453', '296', 'Usurio no cadastrado no sistema';
   EXEC INCLUI_ERRCNABP '453', '297', 'Cdigo do servio invlido';
   EXEC INCLUI_ERRCNABP '453', '298', 'Data de pagamento anterior a data de processamento';
   EXEC INCLUI_ERRCNABP '453', '299', 'Espcie de pagamento invlida';
   EXEC INCLUI_ERRCNABP '453', '300', 'Tipo de pagamento invlido';
   EXEC INCLUI_ERRCNABP '453', '301', 'Dados do favorecido incompletos';
   EXEC INCLUI_ERRCNABP '453', '302', 'Nmero do CGC/CPF do favorecido invlido';
   EXEC INCLUI_ERRCNABP '453', '303', 'Nmero do CGC/CPF do usuriO invlido';
   EXEC INCLUI_ERRCNABP '453', '304', 'Tipo (CGC ou CPF) usurio e/ou favorecido invlido';
   EXEC INCLUI_ERRCNABP '453', '305', 'Nmero (CGC ou CPF) usurio e/ou favorecido invlido';
   EXEC INCLUI_ERRCNABP '453', '306', 'Finalidade DOC invlida';
   EXEC INCLUI_ERRCNABP '453', '307', 'Informar finalidade para o DOC';
   EXEC INCLUI_ERRCNABP '453', '308', 'Excluso para registro no cadastrado no Banco';
   EXEC INCLUI_ERRCNABP '453', '309', 'Excluso para compromisso com pagamento j efetuado';
   EXEC INCLUI_ERRCNABP '453', '310', 'Conta corrente do favorecido invlida';
   EXEC INCLUI_ERRCNABP '453', '311', 'Usurio no cadastrado no sistema';
   EXEC INCLUI_ERRCNABP '453', '312', 'Falta nome do favorecido';
   EXEC INCLUI_ERRCNABP '453', '313', 'Valor invlido / Valor no confere com cdigo de barras';
   EXEC INCLUI_ERRCNABP '453', '314', 'Cdigo de Barras invlido para ttulo compensvel';

   -- BANCO MERCANTIL

   EXEC INCLUI_ERRCNABP '749', '295', 'Data de vencimeto Cdigo Barras menor que data pagamento';
   EXEC INCLUI_ERRCNABP '749', '296', 'Usurio no cadastrado no sistema';
   EXEC INCLUI_ERRCNABP '749', '297', 'Cdigo do servio invlido';
   EXEC INCLUI_ERRCNABP '749', '298', 'Data de pagamento anterior a data de processamento';
   EXEC INCLUI_ERRCNABP '749', '299', 'Espcie de pagamento invlida';
   EXEC INCLUI_ERRCNABP '749', '300', 'Tipo de pagamento invlido';
   EXEC INCLUI_ERRCNABP '749', '301', 'Dados do favorecido incompletos';
   EXEC INCLUI_ERRCNABP '749', '302', 'Nmero do CGC/CPF do favorecido invlido';
   EXEC INCLUI_ERRCNABP '749', '303', 'Nmero do CGC/CPF do usuriO invlido';
   EXEC INCLUI_ERRCNABP '749', '304', 'Tipo (CGC ou CPF) usurio e/ou favorecido invlido';
   EXEC INCLUI_ERRCNABP '749', '305', 'Nmero (CGC ou CPF) usurio e/ou favorecido invlido';
   EXEC INCLUI_ERRCNABP '749', '306', 'Finalidade DOC invlida';
   EXEC INCLUI_ERRCNABP '749', '307', 'Informar finalidade para o DOC';
   EXEC INCLUI_ERRCNABP '749', '308', 'Excluso para registro no cadastrado no Banco';
   EXEC INCLUI_ERRCNABP '749', '309', 'Excluso para compromisso com pagamento j efetuado';
   EXEC INCLUI_ERRCNABP '749', '310', 'Conta corrente do favorecido invlida';
   EXEC INCLUI_ERRCNABP '749', '311', 'Usurio no cadastrado no sistema';
   EXEC INCLUI_ERRCNABP '749', '312', 'Falta nome do favorecido';
   EXEC INCLUI_ERRCNABP '749', '313', 'Valor invlido / Valor no confere com cdigo de barras';
   EXEC INCLUI_ERRCNABP '749', '314', 'Cdigo de Barras invlido para ttulo compensvel';

   -- BANCO BANRISUL 041

   EXEC INCLUI_ERRCNABP '041', 'CC', 'Recusa todo arquivo' ;
   EXEC INCLUI_ERRCNABP '041', '00', 'Crdito efetuado' ;
   EXEC INCLUI_ERRCNABP '041', '01', 'Insuficincia de fundos' ;
   EXEC INCLUI_ERRCNABP '041', '02', 'Crdito cancelado pelo pagador/credor' ;
   EXEC INCLUI_ERRCNABP '041', '03', 'Dbito autorizado pela agncia - efetuado' ;
   EXEC INCLUI_ERRCNABP '041', 'HA', 'Lote no aceito' ;
   EXEC INCLUI_ERRCNABP '041', 'HB', 'Inscrio da empresa invlida para o contrato' ;
   EXEC INCLUI_ERRCNABP '041', 'HC', 'Convnio com a empresa inexistente/invlido para o contrato' ;
   EXEC INCLUI_ERRCNABP '041', 'HD', 'Agncia/conta corrente da empresa inexistente/invlida para o contrato' ;
   EXEC INCLUI_ERRCNABP '041', 'HE', 'Tipo de servio invlido para o contrato' ;
   EXEC INCLUI_ERRCNABP '041', 'HF', 'Conta-Corrente da Empresa com saldo insuficiente' ;
   EXEC INCLUI_ERRCNABP '041', 'AA', 'Controle invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'AB', 'Tipo de operao invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'AC', 'Tipo de servio invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'AD', 'Forma de lanamento invlida' ;
   EXEC INCLUI_ERRCNABP '041', 'AE', 'Tipo/nmero de inscrio invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'AF', 'Cdigo do convnio invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'AG', 'Agncia/conta corrente/Dv invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'AH', 'Nmero seqencial do registro do lote invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'AI', 'Cdigo do Segmento de Detalhe invlido.' ;
   EXEC INCLUI_ERRCNABP '041', 'AJ', 'Tipo de movimento invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'AK', 'Cdigo da cmara de compensao do favorecido invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'AL', 'Banco do favorecido invlido ou Banco no cadastrado na tabela de banos para receber TEDs' ;
   EXEC INCLUI_ERRCNABP '041', 'AM', 'Agncia mantenedora da conta corrente do favorecido invlida.' ;
   EXEC INCLUI_ERRCNABP '041', 'AN', 'Conta corrente/Dv do favorecido invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'AO', 'Nome do favorecido no informado' ;
   EXEC INCLUI_ERRCNABP '041', 'AP', 'Data do lanamento invlida' ;
   EXEC INCLUI_ERRCNABP '041', 'AQ', 'Tipo/quantidade de moeda invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'AR', 'Valor do lanamento invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'AS', 'Aviso ao favorecido - Identificao invlida' ;
   EXEC INCLUI_ERRCNABP '041', 'AT', 'Tipo/nmero de inscrio do favorecido invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'AU', 'Logradouro do favorecido no informado' ;
   EXEC INCLUI_ERRCNABP '041', 'AV', 'Nmero do local do favorecido no informado' ;
   EXEC INCLUI_ERRCNABP '041', 'AW', 'Cidade do favorecido no informado' ;
   EXEC INCLUI_ERRCNABP '041', 'AX', 'Cep/complemento do favorecido invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'AY', 'Sigla do estado do favorecido invlida' ;
   EXEC INCLUI_ERRCNABP '041', 'AZ', 'Cdigo/nome do banco depositrio invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'BA', 'Cdigo/nome da agncia depositria no informado' ;
   EXEC INCLUI_ERRCNABP '041', 'BB', 'Seu nmero invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'BC', 'Nosso nmero invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'BD', 'Confirmao de pagamento agendado' ;
   EXEC INCLUI_ERRCNABP '041', 'BE', 'Cdigo do pagamento invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'BF', 'Perodo de competncia invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'BG', 'Ms de competncia invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'BH', 'Ano de competncia invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'BI', 'Competncia 13 no pode ser antecipada' ;
   EXEC INCLUI_ERRCNABP '041', 'BJ', 'Identificador de pagamento invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'BK', 'Valor da multa invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'BL', 'Valor mnimo de GPS - R$29,00' ;
   EXEC INCLUI_ERRCNABP '041', 'BM', 'Cdigo de Operao para o sistema BLV invlido' ;
   EXEC INCLUI_ERRCNABP '041', 'BN', 'STR006 ou TED fora do horrio' ;
   EXEC INCLUI_ERRCNABP '041', 'BO', 'Pagamento em agncia do mesmo estado do favorecido' ;
   EXEC INCLUI_ERRCNABP '041', 'BP', 'Erro na validao do cdigo de barras de DARF' ;
   EXEC INCLUI_ERRCNABP '041', 'BQ', 'Inconsistncia do cdigo de barras da GPS' ;
   EXEC INCLUI_ERRCNABP '041', 'DD', 'Duplicidade de DOC' ;
   EXEC INCLUI_ERRCNABP '041', 'DT', 'Duplicidade de Ttulo' ;
   EXEC INCLUI_ERRCNABP '041', 'TA', 'Lote no aceito - totais de lote com diferena.' ;
   EXEC INCLUI_ERRCNABP '041', 'XA', 'TED Agendada cancelada pelo Piloto.' ;
   EXEC INCLUI_ERRCNABP '041', 'XC', 'TED cancelada pelo Piloto.' ;
   EXEC INCLUI_ERRCNABP '041', 'XD', 'Devoluo do SPB.' ;
   EXEC INCLUI_ERRCNABP '041', 'XE', 'Devoluo do SPB por erro.' ;
   EXEC INCLUI_ERRCNABP '041', 'XP', 'Devoluo do SPB por situao especial.' ;
   EXEC INCLUI_ERRCNABP '041', 'XR', 'Movimento entre contas invlido' ;
   EXEC INCLUI_ERRCNABP '041', '57', 'Divergncia na indicao da agncia, conta corrente, nome ou CNPJ/CPF do favorecido.' ;
   EXEC INCLUI_ERRCNABP '041', 'ZA', 'Agncia / Conta do Favorecido substitudo.' ;

   -- BANCO SICOOB 756

   EXEC INCLUI_ERRCNABP '756', '00', 'Crdito ou Dbito Efetivado' ;
   EXEC INCLUI_ERRCNABP '756', 'AJ', 'Tipo de Movimento Invlido' ;
   EXEC INCLUI_ERRCNABP '756', 'BD', 'Incluso Efetuada com Sucesso' ;
   EXEC INCLUI_ERRCNABP '756', 'PD', 'Transao Pendente de Assinatura' ;
   EXEC INCLUI_ERRCNABP '756', 'BF', 'Transao Rejeitada' ;

